Opened 4 years ago

Closed 3 years ago

#2224 closed enhancement (fixed)

HLS output using b-frames has crazy initial timestamps

Reported by: nealzebub Owned by:
Priority: normal Component: avformat
Version: unspecified Keywords: libx264 mpegts hls segment
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: yes


OS: CentOS 6.3 64-bit
Build: ffmpeg version N-49414-g11c99c7
Type: Burek static build, 64-bit, 20130129
Obtained from:

I am attempting to encode from file(mainly MP4) to HTTP Live Streaming(HLS) compatible stream. These streams are sometimes over 10 minutes long, and will used by an iOS app that will need to pass Apple's verification. When Apple checks a video app that requires HLS playback, part of the process is to point their Mediastreamvalidator at sample variant streams that the app in question will play. This tool of theirs checks the playlists and segments for adherence to HLS spec. Sorry, I cannot include the tool in this bug. One must be an iOS paid developer to get it.

I obtained the source file, so I could enter this report, from:
Every file I tried produced the same issue, though.

The problem I encountered is that Mediastreamvalidator reports errors and warnings for the first segment of every stream I produce.

In the case of using baseline profile, these warnings are:

WARNING: Unable to read video timestamps in track 0; this may be due to not having a key frame in this segment.
WARNING: Unable to read decode timestamps in track 0; this may be due to not having a key frame in this segment.
WARNING: Unable to read video timestamps in track 1; this may be due to not having a key frame in this segment.
WARNING: Unable to read decode timestamps in track 1; this may be due to not having a key frame in this segment.

In the case of using main or high profile, these warnings and errors are:

WARNING: Unable to read video timestamps in track 0; this may be due to not having a key frame in this segment.
WARNING: Unable to read decode timestamps in track 0; this may be due to not having a key frame in this segment.
ERROR: (-1) Decreasing DTS were detected in track 0
WARNING: Unable to read video timestamps in track 1; this may be due to not having a key frame in this segment.
WARNING: Unable to read decode timestamps in track 1; this may be due to not having a key frame in this segment.
ERROR: (-1) Decreasing DTS were detected in track 1

When checking the packets(ffprobe -show_packets) of the first main/high profile encoded segment with ffprobe, I see timestamps with outrageous values in one audio packet. This would explain why the validator tool says "Decreasing DTS". Every timestamp thereafter is less.


I have tried using MPEG-TS as a pipe format, and then reading/copying from pipe out to HLS. That helped alleviate the warnings from Validator on baseline encoded streams only. It's almost like the mpeg-ts muxer gets the timestamps correct, and then HLS muxing copies those. I have also tried varying the -vsync parameter, but main/high -> HLS has the same issue.

The exact command I used:
ffmpeg.20130129 -report -i "$INPUT_FILE3" -frames:v 480 -vsync -1 -c:v libx264 -crf 23 -profile:v main -g 48 -sc_threshold 0 -flags +cgop -c:a aac -strict -2 -b:a 112k -map 0:v:0 -map 0:a:0 -f ssegment -segment_time 10 -segment_list hls_main.m3u8 -segment_list_flags +live -segment_format mpegts "hlsAV_main_%04d.ts"

Yes, I know the application name is weird. I was trying different builds to see if there was any difference.

Here is the report(ffmpeg-report_main.log), which I will also attach:
ffmpeg started on 2013-02-01 at 15:55:31
Report written to "ffmpeg-20130201-155531.log"
Command line:
./ffmpeg.20130129 -report -i ./source_media/bigbuckbunny_1500.mp4 -frames:v 480 -vsync -1 -c:v libx264 -crf 23 -profile:v main -g 48 -sc_threshold 0 -flags +cgop -c:a aac -strict -2 -b:a 112k -map 0:v:0 -map 0:a:0 -f ssegment -segment_time 10 -segment_list hls_main.m3u8 -segment_list_flags +live -segment_format mpegts "hlsAV_main_%04d.ts"
ffmpeg version N-49414-g11c99c7 Copyright (c) 2000-2013 the FFmpeg developers

built on Jan 29 2013 05:22:52 with gcc 4.6 (Debian 4.6.3-1)
configuration: --prefix=/root/ffmpeg-static/64bit --extra-cflags='-I/root/ffmpeg-static/64bit/include -static' --extra-ldflags='-L/root/ffmpeg-static/64bit/lib -static' --extra-libs='-lxml2 -lexpat -lfreetype' --enable-static --disable-shared --disable-ffserver --disable-doc --enable-bzlib --enable-zlib --enable-postproc --enable-runtime-cpudetect --enable-libx264 --enable-gpl --enable-libtheora --enable-libvorbis --enable-libmp3lame --enable-gray --enable-libass --enable-libfreetype --enable-libopenjpeg --enable-libspeex --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-version3 --enable-libvpx
libavutil 52. 17.100 / 52. 17.100
libavcodec 54. 91.100 / 54. 91.100
libavformat 54. 61.104 / 54. 61.104
libavdevice 54. 3.102 / 54. 3.102
libavfilter 3. 34.101 / 3. 34.101
libswscale 2. 2.100 / 2. 2.100
libswresample 0. 17.102 / 0. 17.102
libpostproc 52. 2.100 / 52. 2.100

Splitting the commandline.
Reading option '-report' ... matched as option 'report' (generate a report) with argument '1'.
Reading option '-i' ... matched as input file with argument './source_media/bigbuckbunny_1500.mp4'.
Reading option '-frames:v' ... matched as option 'frames' (set the number of frames to record) with argument '480'.
Reading option '-vsync' ... matched as option 'vsync' (video sync method) with argument '-1'.
Reading option '-c:v' ... matched as option 'c' (codec name) with argument 'libx264'.
Reading option '-crf' ... matched as AVOption 'crf' with argument '23'.
Reading option '-profile:v' ... matched as option 'profile' (set profile) with argument 'main'.
Reading option '-g' ... matched as AVOption 'g' with argument '48'.
Reading option '-sc_threshold' ... matched as AVOption 'sc_threshold' with argument '0'.
Reading option '-flags' ... matched as AVOption 'flags' with argument '+cgop'.
Reading option '-c:a' ... matched as option 'c' (codec name) with argument 'aac'.
Reading option '-strict' ... matched as AVOption 'strict' with argument '-2'.
Reading option '-b:a' ... matched as option 'b' (video bitrate (please use -b:v)) with argument '112k'.
Reading option '-map' ... matched as option 'map' (set input stream mapping) with argument '0:v:0'.
Reading option '-map' ... matched as option 'map' (set input stream mapping) with argument '0:a:0'.
Reading option '-f' ... matched as option 'f' (force format) with argument 'ssegment'.
Reading option '-segment_time' ... matched as AVOption 'segment_time' with argument '10'.
Reading option '-segment_list' ... matched as AVOption 'segment_list' with argument 'hls_main.m3u8'.
Reading option '-segment_list_flags' ... matched as AVOption 'segment_list_flags' with argument '+live'.
Reading option '-segment_format' ... matched as AVOption 'segment_format' with argument 'mpegts'.
Reading option 'hlsAV_main_%04d.ts' ... matched as output file.
Finished splitting the commandline.
Parsing a group of options: global .
Applying option report (generate a report) with argument 1.
Applying option vsync (video sync method) with argument -1.
Successfully parsed a group of options.
Parsing a group of options: input file ./source_media/bigbuckbunny_1500.mp4.
Successfully parsed a group of options.
Opening an input file: ./source_media/bigbuckbunny_1500.mp4.
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x3ce9cc0] Format mov,mp4,m4a,3gp,3g2,mj2 probed with size=2048 and score=100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x3ce9cc0] ISO: File Type Major Brand: isom
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x3ce9cc0] File position before avformat_find_stream_info() is 114213748
[h264 @ 0x3cf04c0] Increasing reorder buffer to 1
[h264 @ 0x3cf04c0] no picture ooo
[h264 @ 0x3cf04c0] no picture
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x3ce9cc0] All info found
rfps: 23.416667 0.019644
rfps: 23.416667 0.019644
rfps: 23.500000 0.014433
rfps: 23.500000 0.014433
rfps: 23.583333 0.010023
rfps: 23.583333 0.010023
rfps: 23.666667 0.006415
rfps: 23.666667 0.006415
rfps: 23.750000 0.003608
rfps: 23.750000 0.003608
rfps: 23.833333 0.001604
rfps: 23.833333 0.001604
rfps: 23.916667 0.000401
rfps: 23.916667 0.000401
rfps: 24.000000 0.000000
rfps: 24.083333 0.000401
rfps: 24.083333 0.000401
rfps: 24.166667 0.001603
rfps: 24.166667 0.001603
rfps: 24.250000 0.003607
rfps: 24.250000 0.003607
rfps: 24.333333 0.006413
rfps: 24.333333 0.006413
rfps: 24.416667 0.010021
rfps: 24.416667 0.010021
rfps: 24.500000 0.014430
rfps: 24.500000 0.014430
rfps: 24.583333 0.019641
rfps: 24.583333 0.019641
rfps: 47.416667 0.019645
rfps: 47.416667 0.019645
rfps: 47.500000 0.014434
rfps: 47.500000 0.014434
rfps: 47.583333 0.010024
rfps: 47.583333 0.010024
rfps: 47.666667 0.006416
rfps: 47.666667 0.006416
rfps: 47.750000 0.003609
rfps: 47.750000 0.003609
rfps: 47.833333 0.001604
rfps: 47.833333 0.001604
rfps: 47.916667 0.000401
rfps: 47.916667 0.000401
rfps: 48.000000 0.000000
rfps: 48.083333 0.000401
rfps: 48.083333 0.000401
rfps: 48.166667 0.001603
rfps: 48.166667 0.001603
rfps: 48.250000 0.003607
rfps: 48.250000 0.003607
rfps: 48.333333 0.006412
rfps: 48.333333 0.006412
rfps: 48.416667 0.010020
rfps: 48.416667 0.010020
rfps: 48.500000 0.014429
rfps: 48.500000 0.014429
rfps: 48.583333 0.019640
rfps: 48.583333 0.019640
rfps: 23.976024 0.000033
rfps: 23.976024 0.000033
rfps: 47.952048 0.000133
rfps: 47.952048 0.000133
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x3ce9cc0] File position after avformat_find_stream_info() is 27957
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from './source_media/bigbuckbunny_1500.mp4':


major_brand : isom
minor_version : 0
compatible_brands: isomavc1mp42isom

Duration: 00:09:56.46, start: 0.000000, bitrate: 1531 kb/s

Stream #0:0(eng), 21, 1/100000: Video: h264 (Main) (avc1 / 0x31637661), yuv420p, 1080x608, 1393 kb/s, 24 fps, 24 tbr, 100k tbn, 200k tbc

handler_name : VideoHandler?

Stream #0:1(eng), 40, 1/48000: Audio: aac (mp4a / 0x6134706D), 48000 Hz, stereo, fltp, 131 kb/s

handler_name : SoundHandler?

Successfully opened the file.
Parsing a group of options: output file hlsAV_main_%04d.ts.
Applying option frames:v (set the number of frames to record) with argument 480.
Applying option c:v (codec name) with argument libx264.
Applying option profile:v (set profile) with argument main.
Applying option c:a (codec name) with argument aac.
Applying option b:a (video bitrate (please use -b:v)) with argument 112k.
Applying option map (set input stream mapping) with argument 0:v:0.
Applying option map (set input stream mapping) with argument 0:a:0.
Applying option f (force format) with argument ssegment.
Successfully parsed a group of options.
Opening an output file: hlsAV_main_%04d.ts.
Successfully opened the file.
[buffer @ 0x3cf1cc0] Setting entry with key 'video_size' to value '1080x608'
[buffer @ 0x3cf1cc0] Setting entry with key 'pix_fmt' to value '0'
[buffer @ 0x3cf1cc0] Setting entry with key 'time_base' to value '1/100000'
[buffer @ 0x3cf1cc0] Setting entry with key 'pixel_aspect' to value '0/1'
[buffer @ 0x3cf1cc0] Setting entry with key 'sws_param' to value 'flags=2'
[buffer @ 0x3cf1cc0] Setting entry with key 'frame_rate' to value '24/1'
[graph 0 input from stream 0:0 @ 0x3cdd8c0] w:1080 h:608 pixfmt:yuv420p tb:1/100000 fr:24/1 sar:0/1 sws_param:flags=2
[abuffer @ 0x3d0b780] Setting entry with key 'time_base' to value '1/48000'
[abuffer @ 0x3d0b780] Setting entry with key 'sample_rate' to value '48000'
[abuffer @ 0x3d0b780] Setting entry with key 'sample_fmt' to value 'fltp'
[abuffer @ 0x3d0b780] Setting entry with key 'channel_layout' to value '0x3'
[graph 1 input from stream 0:1 @ 0x3d0b260] tb:1/48000 samplefmt:fltp samplerate:48000 chlayout:0x3
[aformat @ 0x3d0c2a0] Setting entry with key 'sample_fmts' to value 'fltp'
[aformat @ 0x3d0c2a0] Setting entry with key 'sample_rates' to value '96000,88200,64000,48000,44100,32000,24000,22050,16000,12000,11025,8000,7350'
[libx264 @ 0x3cfff40] using cpu capabilities: MMX2 SSE2Fast SSSE3 FastShuffle? SSE4.1 Cache64
[libx264 @ 0x3cfff40] profile Main, level 3.1
[h264 @ 0x3cf04c0] detected 1 logical cores
[stream_segment,ssegment @ 0x3d00ce0] Selected stream id:0 type:video
[mpegts @ 0x44470e0] muxrate VBR, pcr every 2 pkts, sdt every 200, pat/pmt every 40 pkts
Output #0, stream_segment,ssegment, to 'hlsAV_main_%04d.ts':


major_brand : isom
minor_version : 0
compatible_brands: isomavc1mp42isom
encoder : Lavf54.61.104
Stream #0:0(eng), 0, 1/90000: Video: h264, yuv420p, 1080x608, q=-1--1, 90k tbn, 24 tbc

handler_name : VideoHandler?

Stream #0:1(eng), 0, 1/90000: Audio: aac, 48000 Hz, stereo, fltp, 112 kb/s

handler_name : SoundHandler?

Stream mapping:

Stream #0:0 -> #0:0 (h264 -> libx264)
Stream #0:1 -> #0:1 (aac -> aac)

Press [q] to stop, ? for help
[h264 @ 0x3cf04c0] no picture
1 dup!
[libx264 @ 0x3cfff40] frame= 0 QP=11.00 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=898 bytes
[stream_segment,ssegment @ 0x3d00ce0] segment:'hlsAV_main_0000.ts' starts with packet stream:0 pts:0 pts_time:0 frame:0
[libx264 @ 0x3cfff40] frame= 1 QP=11.00 NAL=2 Slice:P Poc:8 I:7 P:102 SKIP:2475 size=93 bytes
frame= 43 fps=0.0 q=28.0 size=N/A time=00:00:01.72 bitrate=N/A dup=1 drop=0
frame= 2 QP=13.00 NAL=2 Slice:B Poc:4 I:0 P:4 SKIP:2580 size=35 bytes
[adts @ 0x445d1c0] Encoder did not produce proper pts, making some up.
[libx264 @ 0x3cfff40] frame= 3 QP=13.00 NAL=0 Slice:B Poc:2 I:0 P:1 SKIP:2583 size=31 bytes
[libx264 @ 0x3cfff40] frame= 4 QP=13.00 NAL=0 Slice:B Poc:6 I:0 P:4 SKIP:2580 size=33 bytes
[libx264 @ 0x3cfff40] frame= 5 QP=11.50 NAL=2 Slice:P Poc:10 I:0 P:1 SKIP:2583 size=42 bytes
[libx264 @ 0x3cfff40] frame= 6 QP=14.48 NAL=2 Slice:P Poc:12 I:2132 P:3 SKIP:449 size=758 bytes
[libx264 @ 0x3cfff40] frame= 7 QP=15.47 NAL=2 Slice:P Poc:14 I:1341 P:400 SKIP:843 size=1230 bytes
[libx264 @ 0x3cfff40] frame= 8 QP=14.27 NAL=2 Slice:P Poc:16 I:605 P:88 SKIP:1891 size=793 bytes
[libx264 @ 0x3cfff40] frame= 9 QP=17.09 NAL=2 Slice:P Poc:18 I:870 P:109 SKIP:1605 size=863 bytes
[libx264 @ 0x3cfff40] frame= 10 QP=14.96 NAL=2 Slice:P Poc:20 I:1471 P:173 SKIP:940 size=867 bytes
[libx264 @ 0x3cfff40] frame= 11 QP=15.44 NAL=2 Slice:P Poc:22 I:1750 P:192 SKIP:642 size=889 bytes
[libx264 @ 0x3cfff40] frame= 12 QP=15.85 NAL=2 Slice:P Poc:24 I:549 P:132 SKIP:1903 size=780 bytes
[libx264 @ 0x3cfff40] frame= 13 QP=14.00 NAL=2 Slice:P Poc:26 I:1190 P:118 SKIP:1276 size=825 bytes
frame= 55 fps= 51 q=28.0 size=N/A time=00:00:02.24 bitrate=N/A dup=1 drop=0
frame= 14 QP=14.70 NAL=2 Slice:P Poc:28 I:1691 P:250 SKIP:643 size=945 bytes
[libx264 @ 0x3cfff40] frame= 15 QP=14.16 NAL=2 Slice:P Poc:30 I:561 P:146 SKIP:1877 size=797 bytes
[libx264 @ 0x3cfff40] frame= 16 QP=14.65 NAL=2 Slice:P Poc:32 I:1030 P:181 SKIP:1373 size=984 bytes
[libx264 @ 0x3cfff40] frame= 17 QP=16.30 NAL=2 Slice:P Poc:34 I:413 P:186 SKIP:1985 size=990 bytes
[libx264 @ 0x3cfff40] frame= 18 QP=14.85 NAL=2 Slice:P Poc:36 I:812 P:213 SKIP:1559 size=1071 bytes
[libx264 @ 0x3cfff40] frame= 19 QP=14.84 NAL=2 Slice:P Poc:38 I:915 P:218 SKIP:1451 size=1501 bytes
[libx264 @ 0x3cfff40] frame= 20 QP=15.99 NAL=2 Slice:P Poc:40 I:929 P:270 SKIP:1385 size=1438 bytes
[libx264 @ 0x3cfff40] frame= 21 QP=15.74 NAL=2 Slice:P Poc:42 I:795 P:306 SKIP:1483 size=1836 bytes
[libx264 @ 0x3cfff40] frame= 22 QP=15.98 NAL=2 Slice:P Poc:44 I:1152 P:342 SKIP:1090 size=1847 bytes
[libx264 @ 0x3cfff40] frame= 23 QP=15.91 NAL=2 Slice:P Poc:46 I:1658 P:466 SKIP:460 size=2703 bytes
[libx264 @ 0x3cfff40] frame= 24 QP=15.76 NAL=2 Slice:P Poc:48 I:977 P:378 SKIP:1229 size=1814 bytes
[libx264 @ 0x3cfff40] frame= 25 QP=15.30 NAL=2 Slice:P Poc:50 I:688 P:314 SKIP:1582 size=2260 bytes
frame= 67 fps= 42 q=28.0 size=N/A time=00:00:02.73 bitrate=N/A dup=1 drop=0
frame= 26 QP=15.64 NAL=2 Slice:P Poc:52 I:1088 P:504 SKIP:992 size=2095 bytes
[libx264 @ 0x3cfff40] frame= 27 QP=16.39 NAL=2 Slice:P Poc:54 I:922 P:444 SKIP:1218 size=3028 bytes
[libx264 @ 0x3cfff40] frame= 28 QP=16.60 NAL=2 Slice:P Poc:56 I:1681 P:567 SKIP:336 size=2996 bytes
[libx264 @ 0x3cfff40] frame= 29 QP=16.37 NAL=2 Slice:P Poc:58 I:1459 P:535 SKIP:590 size=4078 bytes
[libx264 @ 0x3cfff40] frame= 30 QP=17.10 NAL=2 Slice:P Poc:60 I:849 P:609 SKIP:1126 size=2602 bytes
[libx264 @ 0x3cfff40] frame= 31 QP=16.80 NAL=2 Slice:P Poc:62 I:1826 P:579 SKIP:179 size=4433 bytes
[libx264 @ 0x3cfff40] frame= 32 QP=17.36 NAL=2 Slice:P Poc:64 I:808 P:594 SKIP:1182 size=2458 bytes
[libx264 @ 0x3cfff40] frame= 33 QP=16.86 NAL=2 Slice:P Poc:66 I:1908 P:532 SKIP:144 size=5013 bytes
[libx264 @ 0x3cfff40] frame= 34 QP=17.69 NAL=2 Slice:P Poc:68 I:1340 P:679 SKIP:565 size=3286 bytes
[libx264 @ 0x3cfff40] frame= 35 QP=16.66 NAL=2 Slice:P Poc:70 I:1872 P:626 SKIP:86 size=5807 bytes
frame= 77 fps= 36 q=28.0 size=N/A time=00:00:03.13 bitrate=N/A dup=1 drop=0
frame= 36 QP=17.73 NAL=2 Slice:P Poc:72 I:794 P:705 SKIP:1085 size=3045 bytes
[libx264 @ 0x3cfff40] frame= 37 QP=17.02 NAL=2 Slice:P Poc:74 I:1527 P:742 SKIP:315 size=5765 bytes
[libx264 @ 0x3cfff40] frame= 38 QP=16.99 NAL=2 Slice:P Poc:76 I:1726 P:725 SKIP:133 size=4777 bytes
[libx264 @ 0x3cfff40] frame= 39 QP=16.71 NAL=2 Slice:P Poc:78 I:1724 P:699 SKIP:161 size=6710 bytes
[libx264 @ 0x3cfff40] frame= 40 QP=17.68 NAL=2 Slice:P Poc:80 I:715 P:833 SKIP:1036 size=3638 bytes
[libx264 @ 0x3cfff40] frame= 41 QP=17.34 NAL=2 Slice:P Poc:82 I:1012 P:815 SKIP:757 size=5853 bytes
[libx264 @ 0x3cfff40] frame= 42 QP=18.21 NAL=2 Slice:P Poc:84 I:720 P:807 SKIP:1057 size=3626 bytes
[libx264 @ 0x3cfff40] frame= 43 QP=17.38 NAL=2 Slice:P Poc:86 I:1554 P:842 SKIP:188 size=7627 bytes
frame= 85 fps= 32 q=28.0 size=N/A time=00:00:03.47 bitrate=N/A dup=1 drop=0
frame= 44 QP=18.09 NAL=2 Slice:P Poc:88 I:610 P:857 SKIP:1117 size=3962 bytes
[libx264 @ 0x3cfff40] frame= 45 QP=18.04 NAL=2 Slice:P Poc:90 I:1532 P:906 SKIP:146 size=8428 bytes
[libx264 @ 0x3cfff40] frame= 46 QP=18.53 NAL=2 Slice:P Poc:92 I:1099 P:989 SKIP:496 size=5364 bytes
[libx264 @ 0x3cfff40] frame= 47 QP=18.24 NAL=2 Slice:P Poc:94 I:1689 P:820 SKIP:75 size=9387 bytes
[libx264 @ 0x3cfff40] frame= 48 QP=15.40 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=25043 bytes
[libx264 @ 0x3cfff40] frame= 49 QP=18.34 NAL=2 Slice:P Poc:2 I:1311 P:915 SKIP:358 size=6123 bytes
[libx264 @ 0x3cfff40] frame= 50 QP=17.80 NAL=2 Slice:P Poc:4 I:1502 P:951 SKIP:131 size=7786 bytes
[libx264 @ 0x3cfff40] frame= 51 QP=15.09 NAL=2 Slice:P Poc:6 I:1587 P:945 SKIP:52 size=12865 bytes
frame= 93 fps= 29 q=28.0 size=N/A time=00:00:03.79 bitrate=N/A dup=1 drop=0
frame= 52 QP=18.30 NAL=2 Slice:P Poc:14 I:59 P:885 SKIP:1640 size=8183 bytes
[libx264 @ 0x3cfff40] frame= 53 QP=24.46 NAL=2 Slice:B Poc:10 I:2 P:557 SKIP:2024 size=660 bytes
[libx264 @ 0x3cfff40] frame= 54 QP=22.77 NAL=0 Slice:B Poc:8 I:0 P:311 SKIP:2273 size=406 bytes
[libx264 @ 0x3cfff40] frame= 55 QP=21.54 NAL=0 Slice:B Poc:12 I:1 P:217 SKIP:2365 size=309 bytes
[libx264 @ 0x3cfff40] frame= 56 QP=18.67 NAL=2 Slice:P Poc:22 I:86 P:948 SKIP:1550 size=8704 bytes
[libx264 @ 0x3cfff40] frame= 57 QP=21.35 NAL=2 Slice:B Poc:18 I:0 P:725 SKIP:1847 size=1042 bytes
[libx264 @ 0x3cfff40] frame= 58 QP=20.90 NAL=0 Slice:B Poc:16 I:1 P:259 SKIP:2320 size=346 bytes
[libx264 @ 0x3cfff40] frame= 59 QP=20.56 NAL=0 Slice:B Poc:20 I:1 P:209 SKIP:2373 size=274 bytes
[libx264 @ 0x3cfff40] frame= 60 QP=19.00 NAL=2 Slice:P Poc:30 I:112 P:1081 SKIP:1391 size=9643 bytes
[libx264 @ 0x3cfff40] frame= 61 QP=21.97 NAL=2 Slice:B Poc:26 I:5 P:812 SKIP:1755 size=1305 bytes
[libx264 @ 0x3cfff40] frame= 62 QP=20.86 NAL=0 Slice:B Poc:24 I:0 P:189 SKIP:2392 size=270 bytes
[libx264 @ 0x3cfff40] frame= 63 QP=23.27 NAL=0 Slice:B Poc:28 I:0 P:295 SKIP:2286 size=387 bytes
frame= 105 fps= 28 q=28.0 size=N/A time=00:00:04.33 bitrate=N/A dup=1 drop=0
frame= 64 QP=18.81 NAL=2 Slice:P Poc:38 I:137 P:1076 SKIP:1371 size=9770 bytes
[libx264 @ 0x3cfff40] frame= 65 QP=21.70 NAL=2 Slice:B Poc:34 I:9 P:893 SKIP:1669 size=1404 bytes
[libx264 @ 0x3cfff40] frame= 66 QP=21.05 NAL=0 Slice:B Poc:32 I:0 P:260 SKIP:2322 size=348 bytes
[libx264 @ 0x3cfff40] frame= 67 QP=23.27 NAL=0 Slice:B Poc:36 I:0 P:252 SKIP:2326 size=363 bytes
[libx264 @ 0x3cfff40] frame= 68 QP=20.65 NAL=2 Slice:P Poc:46 I:100 P:940 SKIP:1544 size=8169 bytes
[libx264 @ 0x3cfff40] frame= 69 QP=21.76 NAL=2 Slice:B Poc:42 I:7 P:827 SKIP:1726 size=1516 bytes
[libx264 @ 0x3cfff40] frame= 70 QP=22.86 NAL=0 Slice:B Poc:40 I:0 P:243 SKIP:2338 size=353 bytes
[libx264 @ 0x3cfff40] frame= 71 QP=18.55 NAL=0 Slice:B Poc:44 I:0 P:276 SKIP:2304 size=387 bytes
[libx264 @ 0x3cfff40] frame= 72 QP=20.80 NAL=2 Slice:P Poc:48 I:88 P:886 SKIP:1610 size=5978 bytes
[libx264 @ 0x3cfff40] frame= 73 QP=16.33 NAL=2 Slice:P Poc:50 I:1476 P:999 SKIP:109 size=17159 bytes
frame= 115 fps= 27 q=28.0 size=N/A time=00:00:04.73 bitrate=N/A dup=1 drop=0
frame= 74 QP=18.08 NAL=2 Slice:P Poc:58 I:171 P:1082 SKIP:1331 size=11400 bytes
[libx264 @ 0x3cfff40] frame= 75 QP=21.23 NAL=2 Slice:B Poc:54 I:5 P:774 SKIP:1801 size=1097 bytes
[libx264 @ 0x3cfff40] frame= 76 QP=21.89 NAL=0 Slice:B Poc:52 I:1 P:358 SKIP:2223 size=506 bytes
[libx264 @ 0x3cfff40] frame= 77 QP=21.69 NAL=0 Slice:B Poc:56 I:1 P:226 SKIP:2353 size=344 bytes
[libx264 @ 0x3cfff40] frame= 78 QP=17.77 NAL=2 Slice:P Poc:66 I:168 P:1218 SKIP:1198 size=12167 bytes
[libx264 @ 0x3cfff40] frame= 79 QP=20.40 NAL=2 Slice:B Poc:62 I:8 P:922 SKIP:1625 size=1633 bytes
[libx264 @ 0x3cfff40] frame= 80 QP=19.12 NAL=0 Slice:B Poc:60 I:3 P:240 SKIP:2341 size=356 bytes
[libx264 @ 0x3cfff40] frame= 81 QP=17.41 NAL=0 Slice:B Poc:64 I:0 P:356 SKIP:2226 size=512 bytes
[libx264 @ 0x3cfff40] frame= 82 QP=17.97 NAL=2 Slice:P Poc:74 I:227 P:1236 SKIP:1121 size=13085 bytes
[libx264 @ 0x3cfff40] frame= 83 QP=20.24 NAL=2 Slice:B Poc:70 I:11 P:975 SKIP:1583 size=1778 bytes
[libx264 @ 0x3cfff40] frame= 84 QP=23.17 NAL=0 Slice:B Poc:68 I:2 P:303 SKIP:2278 size=435 bytes
[libx264 @ 0x3cfff40] frame= 85 QP=22.52 NAL=0 Slice:B Poc:72 I:0 P:277 SKIP:2302 size=444 bytes
[libx264 @ 0x3cfff40] frame= 86 QP=18.09 NAL=2 Slice:P Poc:82 I:261 P:1305 SKIP:1018 size=14230 bytes
[libx264 @ 0x3cfff40] frame= 87 QP=19.89 NAL=2 Slice:B Poc:78 I:13 P:1092 SKIP:1453 size=1926 bytes
frame= 129 fps= 26 q=28.0 size=N/A time=00:00:05.31 bitrate=N/A dup=1 drop=0
frame= 88 QP=21.98 NAL=0 Slice:B Poc:76 I:0 P:388 SKIP:2191 size=566 bytes
[libx264 @ 0x3cfff40] frame= 89 QP=19.78 NAL=0 Slice:B Poc:80 I:2 P:331 SKIP:2250 size=498 bytes
[libx264 @ 0x3cfff40] frame= 90 QP=18.04 NAL=2 Slice:P Poc:90 I:263 P:1386 SKIP:935 size=14541 bytes
[libx264 @ 0x3cfff40] frame= 91 QP=20.57 NAL=2 Slice:B Poc:86 I:16 P:1087 SKIP:1466 size=1947 bytes
[libx264 @ 0x3cfff40] frame= 92 QP=20.34 NAL=0 Slice:B Poc:84 I:7 P:386 SKIP:2185 size=567 bytes
[libx264 @ 0x3cfff40] frame= 93 QP=21.87 NAL=0 Slice:B Poc:88 I:2 P:343 SKIP:2238 size=535 bytes
[libx264 @ 0x3cfff40] frame= 94 QP=21.21 NAL=2 Slice:P Poc:94 I:129 P:1007 SKIP:1448 size=4191 bytes
[libx264 @ 0x3cfff40] frame= 95 QP=23.00 NAL=0 Slice:B Poc:92 I:1 P:434 SKIP:2147 size=589 bytes
[libx264 @ 0x3cfff40] frame= 96 QP=14.88 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=52304 bytes
[libx264 @ 0x3cfff40] frame= 97 QP=18.90 NAL=2 Slice:P Poc:8 I:274 P:1365 SKIP:945 size=12460 bytes
frame= 139 fps= 26 q=28.0 size=N/A time=00:00:05.71 bitrate=N/A dup=1 drop=0
frame= 98 QP=20.67 NAL=2 Slice:B Poc:4 I:11 P:1123 SKIP:1444 size=2021 bytes
[libx264 @ 0x3cfff40] frame= 99 QP=22.06 NAL=0 Slice:B Poc:2 I:1 P:877 SKIP:1706 size=1203 bytes
[libx264 @ 0x3cfff40] frame= 100 QP=23.42 NAL=0 Slice:B Poc:6 I:2 P:1015 SKIP:1567 size=1403 bytes
[libx264 @ 0x3cfff40] frame= 101 QP=18.85 NAL=2 Slice:P Poc:16 I:295 P:1604 SKIP:685 size=15665 bytes
[libx264 @ 0x3cfff40] frame= 102 QP=20.00 NAL=2 Slice:B Poc:12 I:19 P:1149 SKIP:1403 size=2082 bytes
[libx264 @ 0x3cfff40] frame= 103 QP=21.91 NAL=0 Slice:B Poc:10 I:10 P:1124 SKIP:1445 size=1544 bytes
[libx264 @ 0x3cfff40] frame= 104 QP=21.91 NAL=0 Slice:B Poc:14 I:2 P:996 SKIP:1586 size=1276 bytes
[libx264 @ 0x3cfff40] frame= 105 QP=18.94 NAL=2 Slice:P Poc:24 I:299 P:1511 SKIP:774 size=15790 bytes
[libx264 @ 0x3cfff40] frame= 106 QP=20.44 NAL=2 Slice:B Poc:20 I:10 P:1062 SKIP:1499 size=1834 bytes
[libx264 @ 0x3cfff40] frame= 107 QP=21.92 NAL=0 Slice:B Poc:18 I:8 P:1065 SKIP:1508 size=1416 bytes
frame= 149 fps= 25 q=28.0 size=N/A time=00:00:06.14 bitrate=N/A dup=1 drop=0
frame= 108 QP=22.64 NAL=0 Slice:B Poc:22 I:8 P:1043 SKIP:1531 size=1352 bytes
[libx264 @ 0x3cfff40] frame= 109 QP=18.82 NAL=2 Slice:P Poc:32 I:288 P:1513 SKIP:783 size=15970 bytes
[libx264 @ 0x3cfff40] frame= 110 QP=20.81 NAL=2 Slice:B Poc:28 I:7 P:1033 SKIP:1541 size=1690 bytes
[libx264 @ 0x3cfff40] frame= 111 QP=21.21 NAL=0 Slice:B Poc:26 I:6 P:1050 SKIP:1526 size=1415 bytes
[libx264 @ 0x3cfff40] frame= 112 QP=21.96 NAL=0 Slice:B Poc:30 I:22 P:1061 SKIP:1500 size=1478 bytes
[libx264 @ 0x3cfff40] frame= 113 QP=19.10 NAL=2 Slice:P Poc:40 I:263 P:1542 SKIP:779 size=16285 bytes
[libx264 @ 0x3cfff40] frame= 114 QP=20.23 NAL=2 Slice:B Poc:36 I:23 P:1118 SKIP:1431 size=1973 bytes
[libx264 @ 0x3cfff40] frame= 115 QP=22.59 NAL=0 Slice:B Poc:34 I:4 P:1006 SKIP:1572 size=1317 bytes
frame= 157 fps= 24 q=28.0 size=N/A time=00:00:06.48 bitrate=N/A dup=1 drop=0
frame= 116 QP=23.71 NAL=0 Slice:B Poc:38 I:1 P:1001 SKIP:1580 size=1229 bytes
[libx264 @ 0x3cfff40] frame= 117 QP=18.99 NAL=2 Slice:P Poc:48 I:284 P:1580 SKIP:720 size=16465 bytes
[libx264 @ 0x3cfff40] frame= 118 QP=21.54 NAL=2 Slice:B Poc:44 I:13 P:1115 SKIP:1443 size=1807 bytes
[libx264 @ 0x3cfff40] frame= 119 QP=22.31 NAL=0 Slice:B Poc:42 I:7 P:1115 SKIP:1460 size=1449 bytes
[libx264 @ 0x3cfff40] frame= 120 QP=21.59 NAL=0 Slice:B Poc:46 I:6 P:1048 SKIP:1526 size=1331 bytes
[libx264 @ 0x3cfff40] frame= 121 QP=19.11 NAL=2 Slice:P Poc:56 I:230 P:1587 SKIP:767 size=16198 bytes
[libx264 @ 0x3cfff40] frame= 122 QP=22.54 NAL=2 Slice:B Poc:52 I:6 P:990 SKIP:1572 size=1639 bytes
[libx264 @ 0x3cfff40] frame= 123 QP=23.38 NAL=0 Slice:B Poc:50 I:9 P:1071 SKIP:1502 size=1377 bytes
[libx264 @ 0x3cfff40] frame= 124 QP=23.20 NAL=0 Slice:B Poc:54 I:8 P:1009 SKIP:1566 size=1282 bytes
[libx264 @ 0x3cfff40] frame= 125 QP=19.21 NAL=2 Slice:P Poc:64 I:230 P:1606 SKIP:748 size=17814 bytes
frame= 167 fps= 24 q=28.0 size=N/A time=00:00:06.89 bitrate=N/A dup=1 drop=0
frame= 126 QP=22.77 NAL=2 Slice:B Poc:60 I:8 P:952 SKIP:1616 size=1614 bytes
[libx264 @ 0x3cfff40] frame= 127 QP=22.64 NAL=0 Slice:B Poc:58 I:4 P:1148 SKIP:1430 size=1445 bytes
[libx264 @ 0x3cfff40] frame= 128 QP=22.13 NAL=0 Slice:B Poc:62 I:7 P:1107 SKIP:1469 size=1349 bytes
[libx264 @ 0x3cfff40] frame= 129 QP=19.24 NAL=2 Slice:P Poc:72 I:238 P:1624 SKIP:722 size=16744 bytes
[libx264 @ 0x3cfff40] frame= 130 QP=22.13 NAL=2 Slice:B Poc:68 I:4 P:1052 SKIP:1520 size=1732 bytes
[libx264 @ 0x3cfff40] frame= 131 QP=23.32 NAL=0 Slice:B Poc:66 I:3 P:1020 SKIP:1560 size=1300 bytes
[libx264 @ 0x3cfff40] frame= 132 QP=23.20 NAL=0 Slice:B Poc:70 I:4 P:1053 SKIP:1525 size=1295 bytes
[libx264 @ 0x3cfff40] frame= 133 QP=19.37 NAL=2 Slice:P Poc:80 I:246 P:1663 SKIP:675 size=17228 bytes
frame= 175 fps= 23 q=28.0 size=N/A time=00:00:07.23 bitrate=N/A dup=1 drop=0
frame= 134 QP=21.94 NAL=2 Slice:B Poc:76 I:15 P:1089 SKIP:1474 size=1740 bytes
[libx264 @ 0x3cfff40] frame= 135 QP=23.37 NAL=0 Slice:B Poc:74 I:6 P:1070 SKIP:1505 size=1403 bytes
[libx264 @ 0x3cfff40] frame= 136 QP=22.51 NAL=0 Slice:B Poc:78 I:3 P:1057 SKIP:1520 size=1225 bytes
[libx264 @ 0x3cfff40] frame= 137 QP=19.58 NAL=2 Slice:P Poc:88 I:189 P:1685 SKIP:710 size=16096 bytes
[libx264 @ 0x3cfff40] frame= 138 QP=22.61 NAL=2 Slice:B Poc:84 I:6 P:1030 SKIP:1533 size=1587 bytes
[libx264 @ 0x3cfff40] frame= 139 QP=24.03 NAL=0 Slice:B Poc:82 I:5 P:1099 SKIP:1474 size=1409 bytes
[libx264 @ 0x3cfff40] frame= 140 QP=24.00 NAL=0 Slice:B Poc:86 I:1 P:983 SKIP:1599 size=1137 bytes
[libx264 @ 0x3cfff40] frame= 141 QP=24.00 NAL=2 Slice:P Poc:94 I:150 P:954 SKIP:1480 size=3522 bytes
[libx264 @ 0x3cfff40] frame= 142 QP=22.39 NAL=2 Slice:B Poc:92 I:8 P:924 SKIP:1640 size=1697 bytes
[libx264 @ 0x3cfff40] frame= 143 QP=23.60 NAL=0 Slice:B Poc:90 I:2 P:1001 SKIP:1579 size=1284 bytes
frame= 185 fps= 23 q=28.0 size=N/A time=00:00:07.65 bitrate=N/A dup=1 drop=0
frame= 144 QP=18.00 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=82859 bytes
[libx264 @ 0x3cfff40] frame= 145 QP=18.22 NAL=2 Slice:P Poc:4 I:892 P:1613 SKIP:79 size=29431 bytes
[libx264 @ 0x3cfff40] frame= 146 QP=21.74 NAL=0 Slice:B Poc:2 I:30 P:600 SKIP:1953 size=1056 bytes
[libx264 @ 0x3cfff40] frame= 147 QP=20.02 NAL=2 Slice:P Poc:12 I:156 P:1601 SKIP:827 size=14219 bytes
[libx264 @ 0x3cfff40] frame= 148 QP=22.45 NAL=2 Slice:B Poc:8 I:5 P:943 SKIP:1632 size=1345 bytes
[libx264 @ 0x3cfff40] frame= 149 QP=23.01 NAL=0 Slice:B Poc:6 I:0 P:925 SKIP:1655 size=1125 bytes
[libx264 @ 0x3cfff40] frame= 150 QP=22.36 NAL=0 Slice:B Poc:10 I:2 P:936 SKIP:1646 size=1052 bytes
[libx264 @ 0x3cfff40] frame= 151 QP=19.62 NAL=2 Slice:P Poc:20 I:155 P:1754 SKIP:675 size=16728 bytes
[libx264 @ 0x3cfff40] frame= 152 QP=22.25 NAL=2 Slice:B Poc:16 I:7 P:967 SKIP:1603 size=1491 bytes
[libx264 @ 0x3cfff40] frame= 153 QP=25.00 NAL=0 Slice:B Poc:14 I:1 P:960 SKIP:1620 size=1111 bytes
frame= 195 fps= 23 q=28.0 size=N/A time=00:00:08.04 bitrate=N/A dup=1 drop=0
frame= 154 QP=23.26 NAL=0 Slice:B Poc:18 I:4 P:987 SKIP:1593 size=1132 bytes
[libx264 @ 0x3cfff40] frame= 155 QP=19.32 NAL=2 Slice:P Poc:28 I:178 P:1732 SKIP:674 size=16638 bytes
[libx264 @ 0x3cfff40] frame= 156 QP=22.12 NAL=2 Slice:B Poc:24 I:6 P:984 SKIP:1583 size=1511 bytes
[libx264 @ 0x3cfff40] frame= 157 QP=24.63 NAL=0 Slice:B Poc:22 I:0 P:1060 SKIP:1523 size=1245 bytes
[libx264 @ 0x3cfff40] frame= 158 QP=24.94 NAL=0 Slice:B Poc:26 I:4 P:931 SKIP:1649 size=1038 bytes
[libx264 @ 0x3cfff40] frame= 159 QP=19.61 NAL=2 Slice:P Poc:36 I:154 P:1754 SKIP:676 size=17531 bytes
[libx264 @ 0x3cfff40] frame= 160 QP=22.34 NAL=2 Slice:B Poc:32 I:3 P:1028 SKIP:1549 size=1467 bytes
[libx264 @ 0x3cfff40] frame= 161 QP=24.02 NAL=0 Slice:B Poc:30 I:4 P:1055 SKIP:1524 size=1198 bytes
[libx264 @ 0x3cfff40] frame= 162 QP=22.32 NAL=0 Slice:B Poc:34 I:1 P:993 SKIP:1588 size=1076 bytes
[libx264 @ 0x3cfff40] frame= 163 QP=19.48 NAL=2 Slice:P Poc:44 I:151 P:1726 SKIP:707 size=16119 bytes
frame= 205 fps= 22 q=28.0 size=N/A time=00:00:08.46 bitrate=N/A dup=1 drop=0
frame= 164 QP=22.46 NAL=2 Slice:B Poc:40 I:8 P:1003 SKIP:1565 size=1317 bytes
[libx264 @ 0x3cfff40] frame= 165 QP=23.68 NAL=0 Slice:B Poc:38 I:2 P:1049 SKIP:1532 size=1156 bytes
[libx264 @ 0x3cfff40] frame= 166 QP=24.85 NAL=0 Slice:B Poc:42 I:1 P:970 SKIP:1612 size=906 bytes
[libx264 @ 0x3cfff40] frame= 167 QP=19.46 NAL=2 Slice:P Poc:52 I:140 P:1799 SKIP:645 size=17965 bytes
[libx264 @ 0x3cfff40] frame= 168 QP=22.88 NAL=2 Slice:B Poc:48 I:3 P:1019 SKIP:1552 size=1482 bytes
[libx264 @ 0x3cfff40] frame= 169 QP=24.83 NAL=0 Slice:B Poc:46 I:1 P:1100 SKIP:1481 size=1201 bytes
[libx264 @ 0x3cfff40] frame= 170 QP=23.93 NAL=0 Slice:B Poc:50 I:1 P:1131 SKIP:1452 size=1154 bytes
[libx264 @ 0x3cfff40] frame= 171 QP=19.59 NAL=2 Slice:P Poc:60 I:131 P:1821 SKIP:632 size=17445 bytes
frame= 213 fps= 22 q=28.0 size=N/A time=00:00:08.83 bitrate=N/A dup=1 drop=0
frame= 172 QP=22.04 NAL=2 Slice:B Poc:56 I:6 P:1008 SKIP:1567 size=1358 bytes
[libx264 @ 0x3cfff40] frame= 173 QP=22.62 NAL=0 Slice:B Poc:54 I:3 P:1098 SKIP:1483 size=1114 bytes
[libx264 @ 0x3cfff40] frame= 174 QP=23.82 NAL=0 Slice:B Poc:58 I:2 P:1134 SKIP:1448 size=1094 bytes
[libx264 @ 0x3cfff40] frame= 175 QP=19.86 NAL=2 Slice:P Poc:68 I:181 P:1788 SKIP:615 size=16264 bytes
[libx264 @ 0x3cfff40] frame= 176 QP=21.45 NAL=2 Slice:B Poc:64 I:7 P:1143 SKIP:1430 size=1533 bytes
[libx264 @ 0x3cfff40] frame= 177 QP=23.58 NAL=0 Slice:B Poc:62 I:1 P:1062 SKIP:1519 size=1111 bytes
[libx264 @ 0x3cfff40] frame= 178 QP=23.75 NAL=0 Slice:B Poc:66 I:2 P:1047 SKIP:1534 size=1136 bytes
[libx264 @ 0x3cfff40] frame= 179 QP=19.40 NAL=2 Slice:P Poc:76 I:217 P:1842 SKIP:525 size=19793 bytes
[libx264 @ 0x3cfff40] frame= 180 QP=21.93 NAL=2 Slice:B Poc:72 I:10 P:1177 SKIP:1392 size=1725 bytes
[libx264 @ 0x3cfff40] frame= 181 QP=22.04 NAL=0 Slice:B Poc:70 I:3 P:1123 SKIP:1455 size=1219 bytes
frame= 223 fps= 22 q=28.0 size=N/A time=00:00:09.21 bitrate=N/A dup=1 drop=0
frame= 182 QP=22.76 NAL=0 Slice:B Poc:74 I:1 P:1039 SKIP:1542 size=1138 bytes
[libx264 @ 0x3cfff40] frame= 183 QP=20.35 NAL=2 Slice:P Poc:84 I:213 P:1772 SKIP:599 size=17002 bytes
[libx264 @ 0x3cfff40] frame= 184 QP=22.01 NAL=2 Slice:B Poc:80 I:6 P:1077 SKIP:1495 size=1635 bytes
[libx264 @ 0x3cfff40] frame= 185 QP=24.87 NAL=0 Slice:B Poc:78 I:1 P:1007 SKIP:1575 size=1078 bytes
[libx264 @ 0x3cfff40] frame= 186 QP=25.30 NAL=0 Slice:B Poc:82 I:3 P:1168 SKIP:1409 size=1258 bytes
[libx264 @ 0x3cfff40] frame= 187 QP=19.81 NAL=2 Slice:P Poc:92 I:299 P:1820 SKIP:465 size=21246 bytes
[libx264 @ 0x3cfff40] frame= 188 QP=22.23 NAL=2 Slice:B Poc:88 I:10 P:1130 SKIP:1428 size=1777 bytes
[libx264 @ 0x3cfff40] frame= 189 QP=24.29 NAL=0 Slice:B Poc:86 I:2 P:1157 SKIP:1417 size=1341 bytes
frame= 231 fps= 22 q=28.0 size=N/A time=00:00:09.57 bitrate=N/A dup=1 drop=0
frame= 190 QP=23.63 NAL=0 Slice:B Poc:90 I:2 P:1179 SKIP:1399 size=1305 bytes
[libx264 @ 0x3cfff40] frame= 191 QP=23.35 NAL=2 Slice:P Poc:94 I:33 P:635 SKIP:1916 size=1412 bytes
[libx264 @ 0x3cfff40] frame= 192 QP=16.82 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=103126 bytes
[libx264 @ 0x3cfff40] frame= 193 QP=20.09 NAL=2 Slice:P Poc:8 I:282 P:1831 SKIP:471 size=17937 bytes
[libx264 @ 0x3cfff40] frame= 194 QP=23.40 NAL=2 Slice:B Poc:4 I:3 P:1054 SKIP:1522 size=1649 bytes
[libx264 @ 0x3cfff40] frame= 195 QP=24.88 NAL=0 Slice:B Poc:2 I:1 P:997 SKIP:1583 size=1155 bytes
[libx264 @ 0x3cfff40] frame= 196 QP=22.14 NAL=0 Slice:B Poc:6 I:3 P:1070 SKIP:1503 size=1310 bytes
[libx264 @ 0x3cfff40] frame= 197 QP=20.03 NAL=2 Slice:P Poc:16 I:251 P:1907 SKIP:426 size=22547 bytes
frame= 239 fps= 21 q=28.0 size=N/A time=00:00:09.89 bitrate=N/A dup=1 drop=0
frame= 198 QP=23.29 NAL=2 Slice:B Poc:12 I:4 P:1135 SKIP:1432 size=1862 bytes
[libx264 @ 0x3cfff40] frame= 199 QP=24.13 NAL=0 Slice:B Poc:10 I:3 P:1125 SKIP:1446 size=1325 bytes
[libx264 @ 0x3cfff40] frame= 200 QP=23.97 NAL=0 Slice:B Poc:14 I:2 P:1094 SKIP:1481 size=1276 bytes
[libx264 @ 0x3cfff40] frame= 201 QP=20.06 NAL=2 Slice:P Poc:24 I:341 P:1899 SKIP:344 size=20603 bytes
[libx264 @ 0x3cfff40] frame= 202 QP=23.03 NAL=2 Slice:B Poc:20 I:13 P:1254 SKIP:1299 size=2029 bytes
[libx264 @ 0x3cfff40] frame= 203 QP=23.52 NAL=0 Slice:B Poc:18 I:2 P:1097 SKIP:1476 size=1308 bytes
[libx264 @ 0x3cfff40] frame= 204 QP=25.65 NAL=0 Slice:B Poc:22 I:1 P:1214 SKIP:1365 size=1470 bytes
[libx264 @ 0x3cfff40] frame= 205 QP=20.40 NAL=2 Slice:P Poc:32 I:267 P:1907 SKIP:410 size=21792 bytes
frame= 247 fps= 21 q=28.0 size=N/A time=00:00:10.24 bitrate=N/A dup=1 drop=0
frame= 206 QP=22.33 NAL=2 Slice:B Poc:28 I:5 P:1143 SKIP:1427 size=1827 bytes
[libx264 @ 0x3cfff40] frame= 207 QP=25.50 NAL=0 Slice:B Poc:26 I:5 P:1202 SKIP:1374 size=1535 bytes
[libx264 @ 0x3cfff40] frame= 208 QP=24.31 NAL=0 Slice:B Poc:30 I:2 P:1215 SKIP:1362 size=1428 bytes
[libx264 @ 0x3cfff40] frame= 209 QP=20.58 NAL=2 Slice:P Poc:40 I:313 P:1861 SKIP:410 size=21836 bytes
[libx264 @ 0x3cfff40] frame= 210 QP=22.48 NAL=2 Slice:B Poc:36 I:4 P:1194 SKIP:1367 size=2082 bytes
[libx264 @ 0x3cfff40] frame= 211 QP=25.13 NAL=0 Slice:B Poc:34 I:2 P:1190 SKIP:1382 size=1496 bytes
[libx264 @ 0x3cfff40] frame= 212 QP=24.36 NAL=0 Slice:B Poc:38 I:0 P:1359 SKIP:1211 size=1594 bytes
[libx264 @ 0x3cfff40] frame= 213 QP=21.29 NAL=2 Slice:P Poc:48 I:309 P:1887 SKIP:388 size=28089 bytes
frame= 255 fps= 21 q=28.0 size=N/A time=00:00:10.58 bitrate=N/A dup=1 drop=0
frame= 214 QP=22.87 NAL=2 Slice:B Poc:44 I:4 P:1216 SKIP:1341 size=2065 bytes
[libx264 @ 0x3cfff40] frame= 215 QP=23.23 NAL=0 Slice:B Poc:42 I:10 P:1238 SKIP:1327 size=1569 bytes
[libx264 @ 0x3cfff40] frame= 216 QP=22.27 NAL=0 Slice:B Poc:46 I:1 P:1085 SKIP:1492 size=1259 bytes
[libx264 @ 0x3cfff40] frame= 217 QP=19.68 NAL=2 Slice:P Poc:54 I:711 P:1851 SKIP:22 size=50552 bytes
[libx264 @ 0x3cfff40] frame= 218 QP=21.25 NAL=2 Slice:B Poc:52 I:11 P:643 SKIP:1921 size=960 bytes
[libx264 @ 0x3cfff40] frame= 219 QP=22.12 NAL=0 Slice:B Poc:50 I:16 P:765 SKIP:1786 size=1296 bytes
[libx264 @ 0x3cfff40] frame= 220 QP=20.50 NAL=2 Slice:P Poc:62 I:165 P:1866 SKIP:553 size=25732 bytes
[libx264 @ 0x3cfff40] frame= 221 QP=22.81 NAL=2 Slice:B Poc:58 I:4 P:1193 SKIP:1362 size=1912 bytes
frame= 263 fps= 20 q=28.0 size=N/A time=00:00:10.90 bitrate=N/A dup=1 drop=0
frame= 222 QP=23.29 NAL=0 Slice:B Poc:56 I:0 P:597 SKIP:1982 size=674 bytes
[libx264 @ 0x3cfff40] frame= 223 QP=27.84 NAL=0 Slice:B Poc:60 I:0 P:623 SKIP:1956 size=734 bytes
[libx264 @ 0x3cfff40] frame= 224 QP=20.40 NAL=2 Slice:P Poc:70 I:199 P:1854 SKIP:531 size=25724 bytes
[libx264 @ 0x3cfff40] frame= 225 QP=22.05 NAL=2 Slice:B Poc:66 I:5 P:1241 SKIP:1299 size=2134 bytes
[libx264 @ 0x3cfff40] frame= 226 QP=27.65 NAL=0 Slice:B Poc:64 I:0 P:616 SKIP:1965 size=775 bytes
[libx264 @ 0x3cfff40] frame= 227 QP=24.88 NAL=0 Slice:B Poc:68 I:1 P:657 SKIP:1921 size=832 bytes
[libx264 @ 0x3cfff40] frame= 228 QP=20.71 NAL=2 Slice:P Poc:78 I:253 P:1903 SKIP:428 size=26706 bytes
[libx264 @ 0x3cfff40] frame= 229 QP=23.17 NAL=2 Slice:B Poc:74 I:2 P:1316 SKIP:1232 size=2148 bytes
[libx264 @ 0x3cfff40] frame= 230 QP=28.54 NAL=0 Slice:B Poc:72 I:0 P:539 SKIP:2039 size=788 bytes
[libx264 @ 0x3cfff40] frame= 231 QP=26.96 NAL=0 Slice:B Poc:76 I:2 P:601 SKIP:1976 size=799 bytes
frame= 273 fps= 20 q=28.0 size=N/A time=00:00:11.32 bitrate=N/A dup=1 drop=0
frame= 232 QP=20.44 NAL=2 Slice:P Poc:86 I:319 P:1943 SKIP:322 size=28707 bytes
[libx264 @ 0x3cfff40] frame= 233 QP=25.15 NAL=2 Slice:B Poc:82 I:5 P:1369 SKIP:1164 size=2656 bytes
[libx264 @ 0x3cfff40] frame= 234 QP=29.25 NAL=0 Slice:B Poc:80 I:15 P:629 SKIP:1932 size=848 bytes
[libx264 @ 0x3cfff40] frame= 235 QP=24.06 NAL=0 Slice:B Poc:84 I:26 P:651 SKIP:1900 size=831 bytes
[libx264 @ 0x3cfff40] frame= 236 QP=20.41 NAL=2 Slice:P Poc:94 I:398 P:1945 SKIP:241 size=28963 bytes
[libx264 @ 0x3cfff40] frame= 237 QP=24.65 NAL=2 Slice:B Poc:90 I:17 P:1425 SKIP:1097 size=2905 bytes
[libx264 @ 0x3cfff40] frame= 238 QP=27.38 NAL=0 Slice:B Poc:88 I:8 P:667 SKIP:1904 size=830 bytes
[libx264 @ 0x3cfff40] frame= 239 QP=26.85 NAL=0 Slice:B Poc:92 I:2 P:676 SKIP:1892 size=899 bytes
[libx264 @ 0x3cfff40] frame= 240 QP=17.31 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=133381 bytes
[mpegts @ 0x43c8d40] muxrate VBR, pcr every 2 pkts, sdt every 200, pat/pmt every 40 pkts
[stream_segment,ssegment @ 0x3d00ce0] segment:'hlsAV_main_0001.ts' starts with packet stream:0 pts:900000 pts_time:10 frame:240
[libx264 @ 0x3cfff40] frame= 241 QP=20.45 NAL=2 Slice:P Poc:8 I:297 P:1907 SKIP:380 size=19481 bytes
frame= 283 fps= 20 q=28.0 size=N/A time=00:00:11.71 bitrate=N/A dup=1 drop=0
frame= 242 QP=22.76 NAL=2 Slice:B Poc:4 I:13 P:1278 SKIP:1266 size=1974 bytes
[libx264 @ 0x3cfff40] frame= 243 QP=25.40 NAL=0 Slice:B Poc:2 I:0 P:1097 SKIP:1480 size=1178 bytes
[libx264 @ 0x3cfff40] frame= 244 QP=24.98 NAL=0 Slice:B Poc:6 I:5 P:1251 SKIP:1315 size=1572 bytes
[libx264 @ 0x3cfff40] frame= 245 QP=20.31 NAL=2 Slice:P Poc:16 I:285 P:2015 SKIP:284 size=27834 bytes
[libx264 @ 0x3cfff40] frame= 246 QP=23.16 NAL=2 Slice:B Poc:12 I:9 P:1314 SKIP:1243 size=2128 bytes
[libx264 @ 0x3cfff40] frame= 247 QP=25.37 NAL=0 Slice:B Poc:10 I:1 P:1160 SKIP:1418 size=1382 bytes
[libx264 @ 0x3cfff40] frame= 248 QP=26.09 NAL=0 Slice:B Poc:14 I:0 P:1122 SKIP:1455 size=1266 bytes
[libx264 @ 0x3cfff40] frame= 249 QP=20.09 NAL=2 Slice:P Poc:24 I:228 P:2062 SKIP:294 size=28540 bytes
frame= 291 fps= 20 q=28.0 size=N/A time=00:00:12.05 bitrate=N/A dup=1 drop=0
frame= 250 QP=23.38 NAL=2 Slice:B Poc:20 I:3 P:1227 SKIP:1335 size=1827 bytes
[libx264 @ 0x3cfff40] frame= 251 QP=25.52 NAL=0 Slice:B Poc:18 I:1 P:1158 SKIP:1421 size=1326 bytes
[libx264 @ 0x3cfff40] frame= 252 QP=25.29 NAL=0 Slice:B Poc:22 I:2 P:1020 SKIP:1559 size=1085 bytes
[libx264 @ 0x3cfff40] frame= 253 QP=20.00 NAL=2 Slice:P Poc:32 I:222 P:2040 SKIP:322 size=25014 bytes
[libx264 @ 0x3cfff40] frame= 254 QP=25.11 NAL=2 Slice:B Poc:28 I:0 P:1203 SKIP:1362 size=1734 bytes
[libx264 @ 0x3cfff40] frame= 255 QP=26.59 NAL=0 Slice:B Poc:26 I:3 P:1157 SKIP:1415 size=1212 bytes
[libx264 @ 0x3cfff40] frame= 256 QP=25.78 NAL=0 Slice:B Poc:30 I:1 P:1186 SKIP:1393 size=1268 bytes
[libx264 @ 0x3cfff40] frame= 257 QP=19.93 NAL=2 Slice:P Poc:40 I:150 P:2028 SKIP:406 size=22459 bytes
frame= 299 fps= 20 q=28.0 size=N/A time=00:00:12.39 bitrate=N/A dup=1 drop=0
frame= 258 QP=23.60 NAL=2 Slice:B Poc:36 I:1 P:1121 SKIP:1450 size=1603 bytes
[libx264 @ 0x3cfff40] frame= 259 QP=23.57 NAL=0 Slice:B Poc:34 I:0 P:1182 SKIP:1401 size=1204 bytes
[libx264 @ 0x3cfff40] frame= 260 QP=24.86 NAL=0 Slice:B Poc:38 I:0 P:1004 SKIP:1577 size=1033 bytes
[libx264 @ 0x3cfff40] frame= 261 QP=20.44 NAL=2 Slice:P Poc:48 I:76 P:1887 SKIP:621 size=18478 bytes
[libx264 @ 0x3cfff40] frame= 262 QP=23.81 NAL=2 Slice:B Poc:44 I:1 P:1043 SKIP:1524 size=1414 bytes
[libx264 @ 0x3cfff40] frame= 263 QP=23.91 NAL=0 Slice:B Poc:42 I:1 P:954 SKIP:1625 size=990 bytes
[libx264 @ 0x3cfff40] frame= 264 QP=29.19 NAL=0 Slice:B Poc:46 I:0 P:1051 SKIP:1526 size=1063 bytes
[libx264 @ 0x3cfff40] frame= 265 QP=21.06 NAL=2 Slice:P Poc:56 I:55 P:1836 SKIP:693 size=16283 bytes
frame= 307 fps= 20 q=28.0 size=N/A time=00:00:12.73 bitrate=N/A dup=1 drop=0
frame= 266 QP=24.39 NAL=2 Slice:B Poc:52 I:1 P:932 SKIP:1642 size=1223 bytes
[libx264 @ 0x3cfff40] frame= 267 QP=26.99 NAL=0 Slice:B Poc:50 I:1 P:1033 SKIP:1549 size=994 bytes
[libx264 @ 0x3cfff40] frame= 268 QP=29.27 NAL=0 Slice:B Poc:54 I:0 P:923 SKIP:1660 size=809 bytes
[libx264 @ 0x3cfff40] frame= 269 QP=21.73 NAL=2 Slice:P Poc:64 I:40 P:1797 SKIP:747 size=16912 bytes
[libx264 @ 0x3cfff40] frame= 270 QP=26.13 NAL=2 Slice:B Poc:60 I:0 P:931 SKIP:1637 size=1218 bytes
[libx264 @ 0x3cfff40] frame= 271 QP=28.43 NAL=0 Slice:B Poc:58 I:0 P:1042 SKIP:1534 size=1042 bytes
[libx264 @ 0x3cfff40] frame= 272 QP=25.67 NAL=0 Slice:B Poc:62 I:0 P:844 SKIP:1737 size=773 bytes
[libx264 @ 0x3cfff40] frame= 273 QP=23.19 NAL=2 Slice:P Poc:72 I:14 P:1657 SKIP:913 size=13814 bytes
[libx264 @ 0x3cfff40] frame= 274 QP=26.54 NAL=2 Slice:B Poc:68 I:0 P:927 SKIP:1635 size=1075 bytes
[libx264 @ 0x3cfff40] frame= 275 QP=29.73 NAL=0 Slice:B Poc:66 I:0 P:883 SKIP:1698 size=785 bytes
frame= 317 fps= 20 q=28.0 size=N/A time=00:00:13.14 bitrate=N/A dup=1 drop=0
frame= 276 QP=26.66 NAL=0 Slice:B Poc:70 I:0 P:906 SKIP:1671 size=751 bytes
[libx264 @ 0x3cfff40] frame= 277 QP=22.51 NAL=2 Slice:P Poc:80 I:162 P:1931 SKIP:491 size=20146 bytes
[libx264 @ 0x3cfff40] frame= 278 QP=25.24 NAL=2 Slice:B Poc:76 I:0 P:745 SKIP:1831 size=820 bytes
[libx264 @ 0x3cfff40] frame= 279 QP=26.35 NAL=0 Slice:B Poc:74 I:0 P:939 SKIP:1644 size=769 bytes
[libx264 @ 0x3cfff40] frame= 280 QP=21.70 NAL=0 Slice:B Poc:78 I:0 P:444 SKIP:2139 size=552 bytes
[libx264 @ 0x3cfff40] frame= 281 QP=27.06 NAL=2 Slice:P Poc:88 I:1 P:795 SKIP:1788 size=2535 bytes
[libx264 @ 0x3cfff40] frame= 282 QP=26.25 NAL=2 Slice:B Poc:84 I:0 P:651 SKIP:1930 size=677 bytes
[libx264 @ 0x3cfff40] frame= 283 QP=26.17 NAL=0 Slice:B Poc:82 I:0 P:614 SKIP:1970 size=460 bytes
[libx264 @ 0x3cfff40] frame= 284 QP=22.35 NAL=0 Slice:B Poc:86 I:0 P:682 SKIP:1901 size=472 bytes
[libx264 @ 0x3cfff40] frame= 285 QP=25.78 NAL=2 Slice:P Poc:90 I:0 P:132 SKIP:2452 size=435 bytes
frame= 327 fps= 20 q=28.0 size=N/A time=00:00:13.56 bitrate=N/A dup=1 drop=0
frame= 286 QP=23.18 NAL=2 Slice:P Poc:92 I:2580 P:4 SKIP:0 size=112631 bytes
[libx264 @ 0x3cfff40] frame= 287 QP=31.00 NAL=2 Slice:P Poc:94 I:3 P:367 SKIP:2214 size=1688 bytes
[libx264 @ 0x3cfff40] frame= 288 QP=20.44 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=130565 bytes
[libx264 @ 0x3cfff40] frame= 289 QP=22.76 NAL=2 Slice:P Poc:4 I:79 P:2477 SKIP:28 size=35216 bytes
[libx264 @ 0x3cfff40] frame= 290 QP=30.50 NAL=0 Slice:B Poc:2 I:0 P:1031 SKIP:1515 size=1882 bytes
[libx264 @ 0x3cfff40] frame= 291 QP=23.18 NAL=2 Slice:P Poc:10 I:61 P:2052 SKIP:471 size=16573 bytes
frame= 333 fps= 19 q=28.0 size=N/A time=00:00:13.82 bitrate=N/A dup=1 drop=0
frame= 292 QP=31.96 NAL=2 Slice:B Poc:8 I:4 P:613 SKIP:1907 size=1701 bytes
[libx264 @ 0x3cfff40] frame= 293 QP=30.98 NAL=0 Slice:B Poc:6 I:1 P:913 SKIP:1643 size=1929 bytes
[libx264 @ 0x3cfff40] frame= 294 QP=23.29 NAL=2 Slice:P Poc:14 I:50 P:2032 SKIP:502 size=14881 bytes
[libx264 @ 0x3cfff40] frame= 295 QP=31.16 NAL=0 Slice:B Poc:12 I:5 P:388 SKIP:2132 size=1326 bytes
[libx264 @ 0x3cfff40] frame= 296 QP=23.20 NAL=2 Slice:P Poc:18 I:61 P:2042 SKIP:481 size=15062 bytes
[libx264 @ 0x3cfff40] frame= 297 QP=31.23 NAL=0 Slice:B Poc:16 I:3 P:434 SKIP:2109 size=1266 bytes
[libx264 @ 0x3cfff40] frame= 298 QP=23.21 NAL=2 Slice:P Poc:24 I:51 P:2108 SKIP:425 size=15349 bytes
[libx264 @ 0x3cfff40] frame= 299 QP=31.05 NAL=2 Slice:B Poc:22 I:1 P:1106 SKIP:1440 size=2236 bytes
frame= 341 fps= 19 q=28.0 size=N/A time=00:00:14.16 bitrate=N/A dup=1 drop=0
frame= 300 QP=31.74 NAL=0 Slice:B Poc:20 I:1 P:437 SKIP:2114 size=1401 bytes
[libx264 @ 0x3cfff40] frame= 301 QP=23.21 NAL=2 Slice:P Poc:30 I:71 P:2126 SKIP:387 size=14995 bytes
[libx264 @ 0x3cfff40] frame= 302 QP=31.48 NAL=2 Slice:B Poc:28 I:1 P:646 SKIP:1903 size=1513 bytes
[libx264 @ 0x3cfff40] frame= 303 QP=30.86 NAL=0 Slice:B Poc:26 I:2 P:1060 SKIP:1483 size=1963 bytes
[libx264 @ 0x3cfff40] frame= 304 QP=23.15 NAL=2 Slice:P Poc:34 I:69 P:2239 SKIP:276 size=17792 bytes
[libx264 @ 0x3cfff40] frame= 305 QP=30.99 NAL=0 Slice:B Poc:32 I:2 P:503 SKIP:2030 size=1383 bytes
[libx264 @ 0x3cfff40] frame= 306 QP=23.21 NAL=2 Slice:P Poc:40 I:43 P:2188 SKIP:353 size=16867 bytes
[libx264 @ 0x3cfff40] frame= 307 QP=30.44 NAL=2 Slice:B Poc:38 I:3 P:1124 SKIP:1417 size=2283 bytes
frame= 349 fps= 19 q=28.0 size=N/A time=00:00:14.46 bitrate=N/A dup=1 drop=0
frame= 308 QP=30.81 NAL=0 Slice:B Poc:36 I:1 P:403 SKIP:2141 size=1361 bytes
[libx264 @ 0x3cfff40] frame= 309 QP=23.28 NAL=2 Slice:P Poc:44 I:32 P:2059 SKIP:493 size=13699 bytes
[libx264 @ 0x3cfff40] frame= 310 QP=30.29 NAL=0 Slice:B Poc:42 I:2 P:935 SKIP:1619 size=1738 bytes
[libx264 @ 0x3cfff40] frame= 311 QP=23.14 NAL=2 Slice:P Poc:48 I:26 P:2083 SKIP:475 size=14184 bytes
[libx264 @ 0x3cfff40] frame= 312 QP=30.95 NAL=0 Slice:B Poc:46 I:2 P:1004 SKIP:1552 size=1884 bytes
[libx264 @ 0x3cfff40] frame= 313 QP=23.42 NAL=2 Slice:P Poc:54 I:67 P:2105 SKIP:412 size=15691 bytes
[libx264 @ 0x3cfff40] frame= 314 QP=30.63 NAL=2 Slice:B Poc:52 I:2 P:699 SKIP:1834 size=1830 bytes
[libx264 @ 0x3cfff40] frame= 315 QP=30.86 NAL=0 Slice:B Poc:50 I:3 P:1140 SKIP:1406 size=2238 bytes
frame= 357 fps= 19 q=28.0 size=N/A time=00:00:14.80 bitrate=N/A dup=1 drop=0
frame= 316 QP=23.11 NAL=2 Slice:P Poc:58 I:55 P:2263 SKIP:266 size=18341 bytes
[libx264 @ 0x3cfff40] frame= 317 QP=30.15 NAL=0 Slice:B Poc:56 I:1 P:470 SKIP:2064 size=1418 bytes
[libx264 @ 0x3cfff40] frame= 318 QP=23.21 NAL=2 Slice:P Poc:64 I:69 P:2134 SKIP:381 size=16189 bytes
[libx264 @ 0x3cfff40] frame= 319 QP=30.97 NAL=2 Slice:B Poc:62 I:3 P:1096 SKIP:1450 size=2374 bytes
[libx264 @ 0x3cfff40] frame= 320 QP=31.43 NAL=0 Slice:B Poc:60 I:0 P:523 SKIP:2030 size=1454 bytes
[libx264 @ 0x3cfff40] frame= 321 QP=23.23 NAL=2 Slice:P Poc:68 I:34 P:2021 SKIP:529 size=13870 bytes
frame= 363 fps= 19 q=28.0 size=N/A time=00:00:15.08 bitrate=N/A dup=1 drop=0
frame= 322 QP=30.80 NAL=0 Slice:B Poc:66 I:4 P:968 SKIP:1576 size=1820 bytes
[libx264 @ 0x3cfff40] frame= 323 QP=23.26 NAL=2 Slice:P Poc:72 I:33 P:2135 SKIP:416 size=14410 bytes
[libx264 @ 0x3cfff40] frame= 324 QP=30.97 NAL=0 Slice:B Poc:70 I:3 P:1055 SKIP:1497 size=1957 bytes
[libx264 @ 0x3cfff40] frame= 325 QP=23.28 NAL=2 Slice:P Poc:76 I:27 P:2122 SKIP:435 size=14387 bytes
[libx264 @ 0x3cfff40] frame= 326 QP=30.76 NAL=0 Slice:B Poc:74 I:0 P:1017 SKIP:1541 size=1789 bytes
[libx264 @ 0x3cfff40] frame= 327 QP=23.35 NAL=2 Slice:P Poc:82 I:67 P:2147 SKIP:370 size=15829 bytes
[libx264 @ 0x3cfff40] frame= 328 QP=31.28 NAL=2 Slice:B Poc:80 I:5 P:714 SKIP:1814 size=1807 bytes
[libx264 @ 0x3cfff40] frame= 329 QP=30.47 NAL=0 Slice:B Poc:78 I:1 P:1186 SKIP:1366 size=2284 bytes
frame= 371 fps= 19 q=28.0 size=N/A time=00:00:15.40 bitrate=N/A dup=1 drop=0
frame= 330 QP=23.23 NAL=2 Slice:P Poc:86 I:71 P:2247 SKIP:266 size=18616 bytes
[libx264 @ 0x3cfff40] frame= 331 QP=31.45 NAL=0 Slice:B Poc:84 I:2 P:511 SKIP:2026 size=1464 bytes
[libx264 @ 0x3cfff40] frame= 332 QP=23.27 NAL=2 Slice:P Poc:92 I:44 P:2097 SKIP:443 size=16082 bytes
[libx264 @ 0x3cfff40] frame= 333 QP=31.25 NAL=2 Slice:B Poc:90 I:2 P:1095 SKIP:1441 size=2306 bytes
[libx264 @ 0x3cfff40] frame= 334 QP=31.04 NAL=0 Slice:B Poc:88 I:2 P:478 SKIP:2066 size=1458 bytes
[libx264 @ 0x3cfff40] frame= 335 QP=31.15 NAL=2 Slice:P Poc:94 I:5 P:464 SKIP:2115 size=2180 bytes
[libx264 @ 0x3cfff40] frame= 336 QP=19.99 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=138374 bytes
[libx264 @ 0x3cfff40] frame= 337 QP=23.36 NAL=2 Slice:P Poc:4 I:23 P:1601 SKIP:960 size=8990 bytes
frame= 379 fps= 19 q=28.0 size=N/A time=00:00:15.74 bitrate=N/A dup=1 drop=0
frame= 338 QP=31.29 NAL=0 Slice:B Poc:2 I:0 P:893 SKIP:1656 size=1706 bytes
[libx264 @ 0x3cfff40] frame= 339 QP=23.51 NAL=2 Slice:P Poc:10 I:65 P:1975 SKIP:544 size=14515 bytes
[libx264 @ 0x3cfff40] frame= 340 QP=31.14 NAL=2 Slice:B Poc:8 I:2 P:884 SKIP:1657 size=1939 bytes
[libx264 @ 0x3cfff40] frame= 341 QP=30.97 NAL=0 Slice:B Poc:6 I:0 P:1258 SKIP:1297 size=2348 bytes
[libx264 @ 0x3cfff40] frame= 342 QP=23.44 NAL=2 Slice:P Poc:14 I:63 P:2157 SKIP:364 size=16761 bytes
[libx264 @ 0x3cfff40] frame= 343 QP=31.01 NAL=0 Slice:B Poc:12 I:1 P:441 SKIP:2103 size=1342 bytes
[libx264 @ 0x3cfff40] frame= 344 QP=23.51 NAL=2 Slice:P Poc:20 I:70 P:2030 SKIP:484 size=14728 bytes
[libx264 @ 0x3cfff40] frame= 345 QP=31.36 NAL=2 Slice:B Poc:18 I:5 P:1108 SKIP:1435 size=2325 bytes
frame= 387 fps= 18 q=28.0 size=N/A time=00:00:16.06 bitrate=N/A dup=1 drop=0
frame= 346 QP=31.33 NAL=0 Slice:B Poc:16 I:4 P:518 SKIP:2033 size=1432 bytes
[libx264 @ 0x3cfff40] frame= 347 QP=23.57 NAL=2 Slice:P Poc:24 I:35 P:1926 SKIP:623 size=12259 bytes
[libx264 @ 0x3cfff40] frame= 348 QP=31.37 NAL=0 Slice:B Poc:22 I:4 P:950 SKIP:1599 size=1812 bytes
[libx264 @ 0x3cfff40] frame= 349 QP=23.69 NAL=2 Slice:P Poc:28 I:31 P:2053 SKIP:500 size=13023 bytes
[libx264 @ 0x3cfff40] frame= 350 QP=30.99 NAL=0 Slice:B Poc:26 I:1 P:1124 SKIP:1431 size=2011 bytes
[libx264 @ 0x3cfff40] frame= 351 QP=23.81 NAL=2 Slice:P Poc:32 I:28 P:1979 SKIP:577 size=12864 bytes
[libx264 @ 0x3cfff40] frame= 352 QP=29.94 NAL=0 Slice:B Poc:30 I:0 P:1050 SKIP:1510 size=1889 bytes
[libx264 @ 0x3cfff40] frame= 353 QP=24.11 NAL=2 Slice:P Poc:38 I:71 P:1987 SKIP:526 size=13982 bytes
frame= 395 fps= 18 q=28.0 size=N/A time=00:00:16.40 bitrate=N/A dup=1 drop=0
frame= 354 QP=30.95 NAL=2 Slice:B Poc:36 I:1 P:859 SKIP:1673 size=1995 bytes
[libx264 @ 0x3cfff40] frame= 355 QP=30.45 NAL=0 Slice:B Poc:34 I:3 P:1131 SKIP:1422 size=2320 bytes
[libx264 @ 0x3cfff40] frame= 356 QP=24.28 NAL=2 Slice:P Poc:42 I:49 P:2090 SKIP:445 size=15273 bytes
[libx264 @ 0x3cfff40] frame= 357 QP=31.16 NAL=0 Slice:B Poc:40 I:2 P:570 SKIP:1962 size=1481 bytes
[libx264 @ 0x3cfff40] frame= 358 QP=24.50 NAL=2 Slice:P Poc:46 I:56 P:1869 SKIP:659 size=12854 bytes
[libx264 @ 0x3cfff40] frame= 359 QP=31.03 NAL=0 Slice:B Poc:44 I:0 P:508 SKIP:2030 size=1369 bytes
[libx264 @ 0x3cfff40] frame= 360 QP=23.69 NAL=2 Slice:P Poc:50 I:140 P:2437 SKIP:7 size=38654 bytes
[libx264 @ 0x3cfff40] frame= 361 QP=31.07 NAL=0 Slice:B Poc:48 I:0 P:1178 SKIP:1376 size=2254 bytes
frame= 403 fps= 18 q=28.0 size=N/A time=00:00:16.74 bitrate=N/A dup=1 drop=0
frame= 362 QP=24.20 NAL=2 Slice:P Poc:54 I:53 P:1858 SKIP:673 size=11952 bytes
[libx264 @ 0x3cfff40] frame= 363 QP=31.08 NAL=0 Slice:B Poc:52 I:1 P:358 SKIP:2175 size=1281 bytes
[libx264 @ 0x3cfff40] frame= 364 QP=24.47 NAL=2 Slice:P Poc:58 I:66 P:1845 SKIP:673 size=12122 bytes
[libx264 @ 0x3cfff40] frame= 365 QP=31.49 NAL=0 Slice:B Poc:56 I:1 P:394 SKIP:2136 size=1451 bytes
[libx264 @ 0x3cfff40] frame= 366 QP=24.71 NAL=2 Slice:P Poc:62 I:59 P:1909 SKIP:616 size=12039 bytes
[libx264 @ 0x3cfff40] frame= 367 QP=30.92 NAL=0 Slice:B Poc:60 I:2 P:413 SKIP:2120 size=1359 bytes
[libx264 @ 0x3cfff40] frame= 368 QP=24.98 NAL=2 Slice:P Poc:66 I:57 P:1882 SKIP:645 size=11450 bytes
[libx264 @ 0x3cfff40] frame= 369 QP=30.70 NAL=0 Slice:B Poc:64 I:1 P:454 SKIP:2072 size=1473 bytes
[libx264 @ 0x3cfff40] frame= 370 QP=25.28 NAL=2 Slice:P Poc:70 I:51 P:1875 SKIP:658 size=10940 bytes
[libx264 @ 0x3cfff40] frame= 371 QP=30.26 NAL=0 Slice:B Poc:68 I:3 P:501 SKIP:2021 size=1569 bytes
frame= 413 fps= 18 q=28.0 size=N/A time=00:00:17.13 bitrate=N/A dup=1 drop=0
frame= 372 QP=25.88 NAL=2 Slice:P Poc:74 I:59 P:1768 SKIP:757 size=9794 bytes
[libx264 @ 0x3cfff40] frame= 373 QP=30.65 NAL=0 Slice:B Poc:72 I:1 P:564 SKIP:1982 size=1459 bytes
[libx264 @ 0x3cfff40] frame= 374 QP=26.55 NAL=2 Slice:P Poc:78 I:59 P:1640 SKIP:885 size=8523 bytes
[libx264 @ 0x3cfff40] frame= 375 QP=30.94 NAL=0 Slice:B Poc:76 I:2 P:567 SKIP:1983 size=1458 bytes
[libx264 @ 0x3cfff40] frame= 376 QP=30.48 NAL=2 Slice:P Poc:84 I:41 P:964 SKIP:1579 size=4607 bytes
[libx264 @ 0x3cfff40] frame= 377 QP=30.91 NAL=2 Slice:B Poc:82 I:1 P:1383 SKIP:1155 size=2928 bytes
[libx264 @ 0x3cfff40] frame= 378 QP=31.52 NAL=0 Slice:B Poc:80 I:0 P:675 SKIP:1872 size=1671 bytes
[libx264 @ 0x3cfff40] frame= 379 QP=15.91 NAL=2 Slice:P Poc:86 I:2584 P:0 SKIP:0 size=36185 bytes
frame= 421 fps= 18 q=28.0 size=N/A time=00:00:17.49 bitrate=N/A dup=1 drop=0
frame= 380 QP=18.90 NAL=2 Slice:P Poc:94 I:23 P:480 SKIP:2081 size=1591 bytes
[libx264 @ 0x3cfff40] frame= 381 QP=25.32 NAL=2 Slice:B Poc:90 I:0 P:256 SKIP:2319 size=335 bytes
[libx264 @ 0x3cfff40] frame= 382 QP=22.56 NAL=0 Slice:B Poc:88 I:0 P:164 SKIP:2420 size=187 bytes
[libx264 @ 0x3cfff40] frame= 383 QP=30.76 NAL=0 Slice:B Poc:92 I:0 P:68 SKIP:2512 size=168 bytes
[libx264 @ 0x3cfff40] frame= 384 QP=13.23 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=41842 bytes
[libx264 @ 0x3cfff40] frame= 385 QP=22.10 NAL=2 Slice:P Poc:8 I:233 P:513 SKIP:1838 size=4647 bytes
[libx264 @ 0x3cfff40] frame= 386 QP=26.11 NAL=2 Slice:B Poc:4 I:3 P:474 SKIP:2086 size=1248 bytes
[libx264 @ 0x3cfff40] frame= 387 QP=27.17 NAL=0 Slice:B Poc:2 I:0 P:297 SKIP:2287 size=322 bytes
[libx264 @ 0x3cfff40] frame= 388 QP=26.49 NAL=0 Slice:B Poc:6 I:18 P:355 SKIP:2190 size=1645 bytes
[libx264 @ 0x3cfff40] frame= 389 QP=21.79 NAL=2 Slice:P Poc:16 I:250 P:451 SKIP:1883 size=5982 bytes
[libx264 @ 0x3cfff40] frame= 390 QP=25.46 NAL=2 Slice:B Poc:12 I:32 P:444 SKIP:2091 size=2689 bytes
[libx264 @ 0x3cfff40] frame= 391 QP=26.59 NAL=0 Slice:B Poc:10 I:5 P:392 SKIP:2167 size=1489 bytes
[libx264 @ 0x3cfff40] frame= 392 QP=28.05 NAL=0 Slice:B Poc:14 I:13 P:401 SKIP:2158 size=1768 bytes
[libx264 @ 0x3cfff40] frame= 393 QP=20.40 NAL=2 Slice:P Poc:24 I:370 P:468 SKIP:1746 size=12731 bytes
frame= 435 fps= 18 q=28.0 size=N/A time=00:00:18.06 bitrate=N/A dup=1 drop=0
frame= 394 QP=24.92 NAL=2 Slice:B Poc:20 I:47 P:517 SKIP:1983 size=3165 bytes
[libx264 @ 0x3cfff40] frame= 395 QP=27.50 NAL=0 Slice:B Poc:18 I:17 P:416 SKIP:2120 size=2134 bytes
[libx264 @ 0x3cfff40] frame= 396 QP=27.88 NAL=0 Slice:B Poc:22 I:4 P:386 SKIP:2177 size=1380 bytes
[libx264 @ 0x3cfff40] frame= 397 QP=21.38 NAL=2 Slice:P Poc:32 I:46 P:636 SKIP:1902 size=5503 bytes
[libx264 @ 0x3cfff40] frame= 398 QP=25.45 NAL=2 Slice:B Poc:28 I:3 P:467 SKIP:2101 size=1120 bytes
[libx264 @ 0x3cfff40] frame= 399 QP=26.77 NAL=0 Slice:B Poc:26 I:3 P:357 SKIP:2219 size=800 bytes
[libx264 @ 0x3cfff40] frame= 400 QP=28.00 NAL=0 Slice:B Poc:30 I:0 P:326 SKIP:2258 size=503 bytes
[libx264 @ 0x3cfff40] frame= 401 QP=21.10 NAL=2 Slice:P Poc:40 I:10 P:706 SKIP:1868 size=4249 bytes
[libx264 @ 0x3cfff40] frame= 402 QP=25.46 NAL=2 Slice:B Poc:36 I:0 P:412 SKIP:2167 size=875 bytes
[libx264 @ 0x3cfff40] frame= 403 QP=26.10 NAL=0 Slice:B Poc:34 I:0 P:416 SKIP:2168 size=559 bytes
[libx264 @ 0x3cfff40] frame= 404 QP=28.45 NAL=0 Slice:B Poc:38 I:0 P:378 SKIP:2202 size=557 bytes
[libx264 @ 0x3cfff40] frame= 405 QP=20.51 NAL=2 Slice:P Poc:48 I:27 P:521 SKIP:2036 size=4279 bytes
[libx264 @ 0x3cfff40] frame= 406 QP=24.99 NAL=2 Slice:B Poc:44 I:1 P:375 SKIP:2196 size=1028 bytes
[libx264 @ 0x3cfff40] frame= 407 QP=26.11 NAL=0 Slice:B Poc:42 I:0 P:333 SKIP:2243 size=657 bytes
[libx264 @ 0x3cfff40] frame= 408 QP=27.52 NAL=0 Slice:B Poc:46 I:1 P:287 SKIP:2287 size=564 bytes
[libx264 @ 0x3cfff40] frame= 409 QP=21.25 NAL=2 Slice:P Poc:56 I:17 P:571 SKIP:1996 size=2741 bytes
frame= 451 fps= 19 q=28.0 size=N/A time=00:00:18.70 bitrate=N/A dup=1 drop=0
frame= 410 QP=26.73 NAL=2 Slice:B Poc:52 I:3 P:377 SKIP:2192 size=862 bytes
[libx264 @ 0x3cfff40] frame= 411 QP=28.55 NAL=0 Slice:B Poc:50 I:0 P:306 SKIP:2275 size=511 bytes
[libx264 @ 0x3cfff40] frame= 412 QP=26.54 NAL=0 Slice:B Poc:54 I:2 P:316 SKIP:2264 size=463 bytes
[libx264 @ 0x3cfff40] frame= 413 QP=22.50 NAL=2 Slice:P Poc:64 I:58 P:542 SKIP:1984 size=3574 bytes
[libx264 @ 0x3cfff40] frame= 414 QP=24.10 NAL=2 Slice:B Poc:60 I:0 P:423 SKIP:2144 size=1156 bytes
[libx264 @ 0x3cfff40] frame= 415 QP=23.04 NAL=0 Slice:B Poc:58 I:0 P:299 SKIP:2284 size=383 bytes
[libx264 @ 0x3cfff40] frame= 416 QP=29.85 NAL=0 Slice:B Poc:62 I:1 P:303 SKIP:2272 size=566 bytes
[libx264 @ 0x3cfff40] frame= 417 QP=22.11 NAL=2 Slice:P Poc:72 I:188 P:526 SKIP:1870 size=6160 bytes
[libx264 @ 0x3cfff40] frame= 418 QP=24.49 NAL=2 Slice:B Poc:68 I:36 P:480 SKIP:2042 size=3006 bytes
[libx264 @ 0x3cfff40] frame= 419 QP=26.16 NAL=0 Slice:B Poc:66 I:13 P:422 SKIP:2130 size=1830 bytes
[libx264 @ 0x3cfff40] frame= 420 QP=26.44 NAL=0 Slice:B Poc:70 I:9 P:357 SKIP:2208 size=1188 bytes
[libx264 @ 0x3cfff40] frame= 421 QP=21.39 NAL=2 Slice:P Poc:80 I:308 P:634 SKIP:1642 size=9664 bytes
[libx264 @ 0x3cfff40] frame= 422 QP=26.61 NAL=2 Slice:B Poc:76 I:80 P:533 SKIP:1941 size=3037 bytes
[libx264 @ 0x3cfff40] frame= 423 QP=27.36 NAL=0 Slice:B Poc:74 I:36 P:441 SKIP:2091 size=2063 bytes
frame= 465 fps= 19 q=28.0 size=N/A time=00:00:19.30 bitrate=N/A dup=1 drop=0
frame= 424 QP=28.25 NAL=0 Slice:B Poc:78 I:9 P:473 SKIP:2082 size=1676 bytes
[libx264 @ 0x3cfff40] frame= 425 QP=22.20 NAL=2 Slice:P Poc:88 I:107 P:782 SKIP:1695 size=6173 bytes
[libx264 @ 0x3cfff40] frame= 426 QP=23.47 NAL=2 Slice:B Poc:84 I:8 P:589 SKIP:1968 size=2176 bytes
[libx264 @ 0x3cfff40] frame= 427 QP=28.20 NAL=0 Slice:B Poc:82 I:9 P:541 SKIP:2023 size=1509 bytes
[libx264 @ 0x3cfff40] frame= 428 QP=28.11 NAL=0 Slice:B Poc:86 I:4 P:522 SKIP:2047 size=1183 bytes
[libx264 @ 0x3cfff40] frame= 429 QP=27.49 NAL=2 Slice:P Poc:94 I:79 P:673 SKIP:1832 size=3095 bytes
[libx264 @ 0x3cfff40] frame= 430 QP=23.65 NAL=2 Slice:B Poc:92 I:4 P:534 SKIP:2030 size=1641 bytes
[libx264 @ 0x3cfff40] frame= 431 QP=25.18 NAL=0 Slice:B Poc:90 I:6 P:480 SKIP:2096 size=1068 bytes
[libx264 @ 0x3cfff40] frame= 432 QP=16.94 NAL=3 Slice:I Poc:0 I:2584 P:0 SKIP:0 size=39750 bytes
[libx264 @ 0x3cfff40] frame= 433 QP=17.51 NAL=2 Slice:P Poc:4 I:1022 P:1182 SKIP:380 size=18414 bytes
[libx264 @ 0x3cfff40] frame= 434 QP=27.84 NAL=0 Slice:B Poc:2 I:213 P:665 SKIP:1674 size=4862 bytes
[libx264 @ 0x3cfff40] frame= 435 QP=17.38 NAL=2 Slice:P Poc:12 I:462 P:630 SKIP:1492 size=12077 bytes
frame= 477 fps= 19 q=28.0 size=N/A time=00:00:19.81 bitrate=N/A dup=1 drop=0
frame= 436 QP=25.86 NAL=2 Slice:B Poc:8 I:13 P:566 SKIP:1976 size=1893 bytes
[libx264 @ 0x3cfff40] frame= 437 QP=27.89 NAL=0 Slice:B Poc:6 I:87 P:504 SKIP:1976 size=3132 bytes
[libx264 @ 0x3cfff40] frame= 438 QP=26.62 NAL=0 Slice:B Poc:10 I:1 P:339 SKIP:2242 size=666 bytes
No more output streams to write to, finishing.
[libx264 @ 0x3cfff40] frame= 439 QP=18.56 NAL=2 Slice:P Poc:20 I:24 P:733 SKIP:1827 size=4011 bytes
[libx264 @ 0x3cfff40] frame= 440 QP=25.26 NAL=2 Slice:B Poc:16 I:0 P:367 SKIP:2209 size=838 bytes
[libx264 @ 0x3cfff40] frame= 441 QP=27.08 NAL=0 Slice:B Poc:14 I:0 P:286 SKIP:2295 size=507 bytes
[libx264 @ 0x3cfff40] frame= 442 QP=24.48 NAL=0 Slice:B Poc:18 I:1 P:265 SKIP:2317 size=447 bytes
[libx264 @ 0x3cfff40] frame= 443 QP=18.16 NAL=2 Slice:P Poc:28 I:33 P:606 SKIP:1945 size=4835 bytes
[libx264 @ 0x3cfff40] frame= 444 QP=24.50 NAL=2 Slice:B Poc:24 I:0 P:343 SKIP:2226 size=1096 bytes
[libx264 @ 0x3cfff40] frame= 445 QP=26.53 NAL=0 Slice:B Poc:22 I:0 P:270 SKIP:2314 size=446 bytes
[libx264 @ 0x3cfff40] frame= 446 QP=28.68 NAL=0 Slice:B Poc:26 I:4 P:282 SKIP:2293 size=753 bytes
[libx264 @ 0x3cfff40] frame= 447 QP=19.62 NAL=2 Slice:P Poc:36 I:16 P:571 SKIP:1997 size=4596 bytes
[libx264 @ 0x3cfff40] frame= 448 QP=25.68 NAL=2 Slice:B Poc:32 I:0 P:301 SKIP:2263 size=846 bytes
[libx264 @ 0x3cfff40] frame= 449 QP=28.44 NAL=0 Slice:B Poc:30 I:1 P:282 SKIP:2292 size=754 bytes
[libx264 @ 0x3cfff40] frame= 450 QP=27.85 NAL=0 Slice:B Poc:34 I:0 P:220 SKIP:2356 size=440 bytes
[libx264 @ 0x3cfff40] frame= 451 QP=20.09 NAL=2 Slice:P Poc:44 I:13 P:525 SKIP:2046 size=3483 bytes
[libx264 @ 0x3cfff40] frame= 452 QP=26.62 NAL=2 Slice:B Poc:40 I:0 P:322 SKIP:2246 size=813 bytes
[libx264 @ 0x3cfff40] frame= 453 QP=28.48 NAL=0 Slice:B Poc:38 I:0 P:241 SKIP:2342 size=423 bytes
[libx264 @ 0x3cfff40] frame= 454 QP=27.34 NAL=0 Slice:B Poc:42 I:0 P:239 SKIP:2341 size=371 bytes
[libx264 @ 0x3cfff40] frame= 455 QP=20.30 NAL=2 Slice:P Poc:52 I:7 P:484 SKIP:2093 size=3351 bytes
[libx264 @ 0x3cfff40] frame= 456 QP=25.76 NAL=2 Slice:B Poc:48 I:7 P:288 SKIP:2283 size=891 bytes
[libx264 @ 0x3cfff40] frame= 457 QP=26.67 NAL=0 Slice:B Poc:46 I:3 P:247 SKIP:2333 size=505 bytes
[libx264 @ 0x3cfff40] frame= 458 QP=28.17 NAL=0 Slice:B Poc:50 I:2 P:226 SKIP:2351 size=485 bytes
[libx264 @ 0x3cfff40] frame= 459 QP=21.12 NAL=2 Slice:P Poc:60 I:4 P:397 SKIP:2183 size=2130 bytes
[libx264 @ 0x3cfff40] frame= 460 QP=25.08 NAL=2 Slice:B Poc:56 I:1 P:235 SKIP:2344 size=540 bytes
[libx264 @ 0x3cfff40] frame= 461 QP=26.13 NAL=0 Slice:B Poc:54 I:0 P:184 SKIP:2399 size=264 bytes
[libx264 @ 0x3cfff40] frame= 462 QP=29.90 NAL=0 Slice:B Poc:58 I:0 P:160 SKIP:2423 size=260 bytes
[libx264 @ 0x3cfff40] frame= 463 QP=21.42 NAL=2 Slice:P Poc:68 I:13 P:313 SKIP:2258 size=1961 bytes
[libx264 @ 0x3cfff40] frame= 464 QP=25.00 NAL=2 Slice:B Poc:64 I:3 P:219 SKIP:2356 size=592 bytes
[libx264 @ 0x3cfff40] frame= 465 QP=27.29 NAL=0 Slice:B Poc:62 I:1 P:190 SKIP:2388 size=360 bytes
[libx264 @ 0x3cfff40] frame= 466 QP=27.95 NAL=0 Slice:B Poc:66 I:1 P:167 SKIP:2411 size=332 bytes
[libx264 @ 0x3cfff40] frame= 467 QP=22.50 NAL=2 Slice:P Poc:76 I:26 P:292 SKIP:2266 size=2511 bytes
[libx264 @ 0x3cfff40] frame= 468 QP=25.30 NAL=2 Slice:B Poc:72 I:2 P:263 SKIP:2314 size=594 bytes
[libx264 @ 0x3cfff40] frame= 469 QP=27.96 NAL=0 Slice:B Poc:70 I:1 P:200 SKIP:2383 size=275 bytes
[libx264 @ 0x3cfff40] frame= 470 QP=28.18 NAL=0 Slice:B Poc:74 I:5 P:162 SKIP:2412 size=561 bytes
[libx264 @ 0x3cfff40] frame= 471 QP=23.16 NAL=2 Slice:P Poc:84 I:5 P:246 SKIP:2333 size=1751 bytes
[libx264 @ 0x3cfff40] frame= 472 QP=23.67 NAL=2 Slice:B Poc:80 I:0 P:236 SKIP:2338 size=710 bytes
[libx264 @ 0x3cfff40] frame= 473 QP=27.79 NAL=0 Slice:B Poc:78 I:0 P:170 SKIP:2414 size=261 bytes
[libx264 @ 0x3cfff40] frame= 474 QP=28.52 NAL=0 Slice:B Poc:82 I:0 P:162 SKIP:2416 size=435 bytes
[libx264 @ 0x3cfff40] frame= 475 QP=24.75 NAL=2 Slice:P Poc:92 I:326 P:286 SKIP:1972 size=4788 bytes
[libx264 @ 0x3cfff40] frame= 476 QP=23.25 NAL=2 Slice:B Poc:88 I:9 P:376 SKIP:2178 size=1521 bytes
[libx264 @ 0x3cfff40] frame= 477 QP=27.16 NAL=0 Slice:B Poc:86 I:0 P:220 SKIP:2355 size=541 bytes
[libx264 @ 0x3cfff40] frame= 478 QP=25.07 NAL=0 Slice:B Poc:90 I:66 P:341 SKIP:2162 size=2310 bytes
[libx264 @ 0x3cfff40] frame= 479 QP=27.85 NAL=2 Slice:P Poc:94 I:366 P:352 SKIP:1866 size=5544 bytes
frame= 480 fps= 18 q=28.0 Lsize=N/A time=00:00:20.01 bitrate=N/A dup=1 drop=0
video:3138kB audio:288kB subtitle:0 global headers:0kB muxing overhead -100.000627%
[libx264 @ 0x3cfff40] frame I:10 Avg QP:16.40 size: 74814
[libx264 @ 0x3cfff40] frame P:177 Avg QP:20.16 size: 11821
[libx264 @ 0x3cfff40] frame B:293 Avg QP:25.35 size: 1271
[libx264 @ 0x3cfff40] consecutive B-frames: 13.5% 12.1% 9.4% 65.0%
[libx264 @ 0x3cfff40] mb I I16..4: 42.8% 0.0% 57.2%
[libx264 @ 0x3cfff40] mb P I16..4: 14.7% 0.0% 2.8% P16..4: 27.8% 10.4% 7.9% 0.0% 0.0% skip:36.3%
[libx264 @ 0x3cfff40] mb B I16..4: 0.1% 0.0% 0.1% B16..8: 26.6% 1.6% 0.3% direct: 1.0% skip:70.4% L0:41.9% L1:53.1% BI: 5.0%
[libx264 @ 0x3cfff40] coded y,uvDC,uvAC intra: 23.2% 36.1% 18.8% inter: 6.8% 11.1% 1.4%
[libx264 @ 0x3cfff40] i16 v,h,dc,p: 62% 22% 9% 7%
[libx264 @ 0x3cfff40] i4 v,h,dc,ddl,ddr,vr,hd,vl,hu: 19% 18% 19% 6% 8% 7% 8% 7% 7%
[libx264 @ 0x3cfff40] i8c dc,h,v,p: 61% 21% 13% 5%
[libx264 @ 0x3cfff40] Weighted P-Frames: Y:24.3% UV:9.0%
[libx264 @ 0x3cfff40] ref P L0: 70.2% 10.5% 13.9% 5.4% 0.0%
[libx264 @ 0x3cfff40] ref B L0: 88.5% 10.1% 1.4%
[libx264 @ 0x3cfff40] ref B L1: 93.8% 6.2%
[libx264 @ 0x3cfff40] kb/s:1285.20
Statistics: 4135679 bytes read, 2 seeks

Attachments (9)

ffmpeg-report_main.log (62.4 KB) - added by nealzebub 4 years ago.
Report from encoding using main profile
ffmpeg-report_base.log (61.9 KB) - added by nealzebub 4 years ago.
Report from encoding using baseline profile, for comparison
ffprobe_packets_base.txt (159.1 KB) - added by nealzebub 4 years ago.
Output from "ffprobe -show packets" on first baseline profile segment
ffprobe_packets_main.txt (158.1 KB) - added by nealzebub 4 years ago.
Output from "ffprobe -show packets" on first main profile segment
hlsAV_base_0000.ts (2.3 MB) - added by nealzebub 4 years ago.
First baseline segment
hlsAV_main_0000.ts (1.7 MB) - added by nealzebub 4 years ago.
First main profile segment
mediastreamvalidator.log (6.8 KB) - added by nealzebub 4 years ago.
mediastreamvalidator log, looking at output of various vsync attempts
ffprobe_packets_main.2.txt (159.0 KB) - added by nealzebub 4 years ago.
Output from "ffprobe -show packets" for first segment main minus b-frames
hlsAV_main_0000.2.ts (1.9 MB) - added by nealzebub 4 years ago.
First segment with main profile, sans b-frames

Change History (18)

Changed 4 years ago by nealzebub

Report from encoding using main profile

Changed 4 years ago by nealzebub

Report from encoding using baseline profile, for comparison

Changed 4 years ago by nealzebub

Output from "ffprobe -show packets" on first baseline profile segment

Changed 4 years ago by nealzebub

Output from "ffprobe -show packets" on first main profile segment

Changed 4 years ago by nealzebub

First baseline segment

Changed 4 years ago by nealzebub

First main profile segment

comment:1 follow-up: Changed 4 years ago by cehoyos

  • Component changed from FFmpeg to undetermined
  • Keywords libx264 mpegts added

Is there any specification that clarifies that timestamp wraps are not allowed in HLS streams?

And could you confirm that there are no problems with the validator if you disable B-frames?

Changed 4 years ago by nealzebub

mediastreamvalidator log, looking at output of various vsync attempts

comment:2 in reply to: ↑ 1 Changed 4 years ago by nealzebub

Replying to cehoyos:

Is there any specification that clarifies that timestamp wraps are not allowed in HLS streams?

And could you confirm that there are no problems with the validator if you disable B-frames?

Spec. I'm not exactly sure what you mean by timestamp wrap, but I think this is what you mean:
It basically says that if the timestamps do not increment between segments, that tag they mention needs to be stuck in the playlist before the next segment to warn the player.

I just encoded main with no b-frame(same command with that one addition):
./ffmpeg.20130129 -report -i ./source_media/bigbuckbunny_1500.mp4 -frames:v 480 -vsync -1 -c:v libx264 -crf 23 -profile:v main -bf 0 -g 48 -sc_threshold 0 -flags +cgop -c:a aac -strict -2 -b:a 112k -map 0:v:0 -map 0:a:0 -f ssegment -segment_time 10 -segment_list hls_main.m3u8 -segment_list_flags +live -segment_format mpegts "hlsAV_main_%04d.ts"

When I do a comparison of the ffprobe -show_packets output from baseline and main minus bframes, the only difference are position and size. That means that the timestamps are identical. I suppose the ticket title should change to "b-frames" from "main or high profile"!

comment:3 Changed 4 years ago by nealzebub

  • Keywords hls added
  • Summary changed from HLS output using main or high profile has crazy initial timestamps to HLS output using b-frames has crazy initial timestamps

Changed 4 years ago by nealzebub

Output from "ffprobe -show packets" for first segment main minus b-frames

Changed 4 years ago by nealzebub

First segment with main profile, sans b-frames

comment:4 Changed 4 years ago by trevyn

I've been running into the exact same issue.

There seems to be something around negative video DTS; I tried making a video-only TS, and ran into all the same errors. The first two packets of my first segment have negative DTS, but there are no crazy audio timestamps, because I have no audio track. ;)

Interestingly, even ffprobe complains about invalid timestamps when they're negative.

87:~ eden$ mediastreamvalidator ""
mediastreamvalidator: Beta Version 1.1(130110)



Playlist Syntax: 	OK



	WARNING: Unable to read video timestamps in track 0; this may be due to not having a key frame in this segment.
	WARNING: Unable to read decode timestamps in track 0; this may be due to not having a key frame in this segment.
	ERROR: (-1) Decreasing DTS were detected in track 0

Average segment duration: 9.67 seconds
Segment bitrate: Average: 128.53 kbits/sec, Max: 157.13 kbits/sec
87:~ eden$ ffprobe hlsna-568-320-40-all-11032-000.ts
ffprobe version 1.0 Copyright (c) 2007-2012 the FFmpeg developers
  built on Nov 18 2012 02:25:56 with Apple clang version 4.1 (tags/Apple/clang-421.11.66) (based on LLVM 3.1svn)
  configuration: --prefix=/opt/local --enable-swscale --enable-avfilter --enable-libmp3lame --enable-libvorbis --enable-libopus --enable-libtheora --enable-libschroedinger --enable-libopenjpeg --enable-libmodplug --enable-libvpx --enable-libspeex --enable-libfreetype --mandir=/opt/local/share/man --enable-shared --enable-pthreads --cc=/usr/bin/clang --arch=x86_64 --enable-yasm --enable-gpl --enable-postproc --enable-libx264 --enable-libxvid
  libavutil      51. 73.101 / 51. 73.101
  libavcodec     54. 59.100 / 54. 59.100
  libavformat    54. 29.104 / 54. 29.104
  libavdevice    54.  2.101 / 54.  2.101
  libavfilter     3. 17.100 /  3. 17.100
  libswscale      2.  1.101 /  2.  1.101
  libswresample   0. 15.100 /  0. 15.100
  libpostproc    52.  0.100 / 52.  0.100
[mpegts @ 0x7ff00181e200] Invalid timestamps stream=0, pts=0, dts=8589928586, size=3811
[mpegts @ 0x7ff00181e200] Invalid timestamps stream=0, pts=12012, dts=8589931589, size=719
[mpegts @ 0x7ff00181e200] max_analyze_duration 5000000 reached at 5005000
Input #0, mpegts, from 'hlsna-568-320-40-all-11032-000.ts':
  Duration: 00:00:16.64, start: 0.000000, bitrate: 120 kb/s
  Program 1 
      service_name    : Service01
      service_provider: FFmpeg
    Stream #0:0[0x100]: Video: h264 (High) ([27][0][0][0] / 0x001B), yuv420p, 568x320, 29.97 fps, 29.97 tbr, 90k tbn, 59.94 tbc
87:~ eden$ ffprobe -show_packets hlsna-568-320-40-all-11032-000.ts


comment:5 Changed 4 years ago by trevyn

So adding

-avoid_negative_ts 1

to the ffmpeg command seems to prevent mediastreamvalidator from erroring out, but it still throws the warning:

WARNING: Unable to read decode timestamps in track 0; this may be due to not having a key frame in this segment.

comment:6 Changed 4 years ago by nealzebub

Yeah, according to Wowza folk, that WARNING is due to the first timestamp being zero.
"We now add a 10 second offset to the transport stream chunk timecodes (pts and dts values) per Apple's recommendation. Without this the Apple stream validator would throw warning messages. This is also how the Apple segementer works."
I think I smell an request to automatically shift timestamps 10 seconds to comply with the rec.

comment:7 Changed 4 years ago by cehoyos

Could you clarify if the Wowza shows the warning although the Apple stream validator works fine with the stream produced by FFmpeg with -avoid_negative_ts 1 ?

comment:8 follow-up: Changed 4 years ago by nealzebub

I do not know if Wowza output produces Warnings in Validator, but I suspect not, since that is why they implemented the 10-second timestamp offset in version 3.5+. I also suspect that they offset by 10 seconds to avoid the following two mediastreamvalidator issues reported.

  1. Error - due to a negative timestamps, which is interpreted as a really high value. Validator reports decreasing timestamps. If the the first PTS is zero, then the first DTS is probably less than zero.
  1. Warning - Validator, for some reason, is unable to read frames with a timestamp of zero.

To be clear, a stream produced by FFmpeg using -avoid_negative_ts 1 can produce #2, the warning.

Looking at the Wowza forums, it reads that Wowza was resistant to setting the offset in February 2012. Then, in November 2012, the builds have the offset by default.

I re-quote the Wowza thread from Sept 2012:
Below is the comment from one of the staff at Apple @baleighsdad:

However, I'm not sure where Wowza got their information; I don't recommend using a 0 PTS in the first segment, and have said many times that this isn't a good idea. Our own tools using a starting PTS of the equivalent of 10 seconds, to avoid wrap."

comment:9 in reply to: ↑ 8 Changed 3 years ago by saste

  • Analyzed by developer set
  • Component changed from undetermined to avformat
  • Keywords segment added
  • Resolution set to fixed
  • Status changed from new to closed
  • Type changed from defect to enhancement

Replying to nealzebub:

I do not know if Wowza output produces Warnings in Validator, but I suspect not, since that is why they implemented the 10-second timestamp offset in version 3.5+. I also suspect that they offset by 10 seconds to avoid the following two mediastreamvalidator issues reported.

  1. Error - due to a negative timestamps, which is interpreted as a really high value. Validator reports decreasing timestamps. If the the first PTS is zero, then the first DTS is probably less than zero.
  1. Warning - Validator, for some reason, is unable to read frames with a timestamp of zero.

To be clear, a stream produced by FFmpeg using -avoid_negative_ts 1 can produce #2, the warning.

Looking at the Wowza forums, it reads that Wowza was resistant to setting the offset in February 2012. Then, in November 2012, the builds have the offset by default.

I re-quote the Wowza thread from Sept 2012:
Below is the comment from one of the staff at Apple @baleighsdad:

However, I'm not sure where Wowza got commit 19ea08a11a8ea31797b509bf66a06c2f9e463d60

Should be addressed in:

Author: Stefano Sabatini <>
Date:   Fri Jul 5 14:28:38 2013 +0200

    lavf/segment: add initial_offset option

    Should address trac ticket #2224.
their information; I don't recommend using a 0 PTS in the first segment, and have said many times that this isn't a good idea. Our own tools using a starting PTS of the equivalent of 10 seconds, to avoid wrap."

This requires the explicit use of the -initial_offset option, this can't be made the default since segment is a generic segment, and adding by default an arbitrary offset seems wrong.

Note: See TracTickets for help on using tickets.